<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>

<head>
<title>||cust_title|| Users Guide</title>
||just_include||helpcss.tpl||
</head>

<body background="||cust_panel_background||" bgcolor="||cust_panel_bgcolor||">

<center>
<h1>||cust_display_name|| User's Manual</h1>
<img width="70%" src="||nwimg||/redline.gif" alt="" />
</center>

<p>||cust_display_name|| is a web-email gateway which allows you to read and process your email from a
web browser running on any machine with access to the internet ( or your intranet ). It is
a full featured email client package which provides facilities to read new mail, send and
forward messages, send and view attachments, use folders to organize your messages etc.</p>

<p>||cust_display_name|| uses POP and IMAP protocol. When ||cust_display_name|| is talking to an IMAP server
your messages are left on the server. You can see and manipulate all the same email
messages and folders you can access from a standard IMAP email client, but from any
web browser anywhere on the net. You can also swap backwards and forwards between any
other IMAP client and ||cust_display_name||.</p>

<p><font color="#FF0000">Briefly . . .</font> </p>

<p><font color="#FF0000">To use ||cust_display_name||, point your World Wide Web browser at the
appropriate </font><a href="http://netwinsite.com/dmailweb/nwgloss.htm#URL">URL</a> <font
color="#FF0000">such as:</font></p>

<blockquote>
  <blockquote>
    <p><font color="#FF0000">http://nice.co.nz/cgi-bin/webmail.cgi</font> </p>
  </blockquote>
</blockquote>

<p><font color="#FF0000">Then enter your Username and Password to login and process your
new mail. It's that simple but for more details read on...</font></p>

<hr />

<h2><a name="Manual_Contents:"><font size="4">Manual Contents:</font></a> </h2>

<p>For quickly getting started...</p>

<ol type="1" start="1">
  <li><a href="#s1">How Do I get my Mail?</a></li>
  <li><a href="#s2">How do I login?</a></li>
  <li><a href="#s3">How do I read mail?</a></li>
  <li><a href="#s4">How do I send mail?</a></li>
</ol>

<p>For more details...</p>

<ol type="1" start="4">
  <li><a href="#user_options">User Options</a></li>
  <li><a href="#folder_management">Folder Management</a></li>
  <li><a href="#pick_list">Address Book Management</a></li>
</ol>

<h2><font color="#FF0000">Notes on using these manual pages:</font> </h2>

<p>This User Manual guides you through the various pages of ||cust_display_name||, noting the functions
of all of the Buttons, <a href="http://netwinsite.com/dmailweb/nwgloss.htm#hyperlink">Links</a>
<font color="#00FF00">*</font>, Check Boxes and Text Fields that you will find on them. In
addition to normal links to related information there are glossary definitions for many of
the technical terms and acronyms. These links to glossary definitions are shown thus <a
href="http://netwinsite.com/dmailweb/nwgloss.htm#server">server</a> <font color="#00FF00">*</font></p>

<p>New users in particular should find these links to the <a
href="http://netwinsite.com/dmailweb/nwgloss.htm">Netwin Glossary</a> helpful.</p>

<hr />

<h3><a name="s1">How can I get my Mail?</a></h3>

<p>Here is the instant three step guide...</p>

<table border="0">
  <tr>
    <td valign="top" width="10%">1.</td>
    <td valign="top" width="60%">Start your web browser&nbsp;</td>
    <td valign="top">- e.g. Netscape, Internet Explorer etc.</td>
  </tr>
  <tr>
    <td valign="top" width="10%">2.</td>
    <td valign="top" width="60%">Point it at the ||cust_display_name|| page</td>
    <td valign="top">- your Internet Service Provider (ISP) or Computer Department will have
    told you the URL to use, e.g. <a
    href="../../dnewsweb/manuals/this%20one%20is%20made%20up!!!!!!">http://nice.co.com/cgi-bin/||cust_display_name||.cgi</a>.</td>
  </tr>
  <tr>
    <td valign="top" width="10%">3.</td>
    <td valign="top" width="60%">Depending on how they have setup ||cust_display_name|| you might see a
    login page if so enter your username and password<br />
    (then click the 'Login' button)</td>
    <td valign="top">- again you will probably have been given a username and password to use</td>
  </tr>
  <tr>
    <td valign="top" width="10%"></td>
    <td valign="top" width="60%">Bingo - you're at your Mail!</td>
    <td valign="top"></td>
  </tr>
</table>

<p>For more detailed information please read through the next few sections. </p>

<hr />

<h3><a name="s2">How do I login?</a></h3>

<p>Before you can use ||cust_display_name|| you need to login. When you run ||cust_display_name|| you will be
presented with the login page:</p>

<center><img src="||nwimg||/loginpage.jpg" border="0" alt="Login Page" /></center>

<p>To login you must first supply a valid username and password. This username and
password should have been supplied to you by your computer service center.</p>

<p>The ||cust_display_name|| Administrator will have assigned a default Mail server for use with
||cust_display_name||. So, as a user, as long as you use the correct <a
href="http://netwinsite.com/dmailweb/nwgloss.htm#URL">URL</a><font color="#00FF00">*</font>
in your web browser then you'll automatically log in to the correct location. So you do
not have to enter anything in the 'Enter Host' box.</p>

<p>Once you are logged in, ||cust_display_name|| will check the Mail server and will display the E-Mail that
are available. You should see a screen like the following:</p>

<center><img src="||nwimg||/listpage.jpg" border="0" alt="List Page" /></center>

<p>The screen is divided into three portions: the Menubar, the Folders bar and the EMail List.</p>
<p></p>
<h3>Menubar</h3>

<blockquote>
<blockquote>
<dl>
	<dt>Delete</dt>
	<dd>This deletes the messages selected in the EMail List</dd>

	<dt>Empty</dt>
	<dd>This deletes all the messages from your trash folder and all messages with the <a href="#flags">marked for deletion</a> flag set</dd>

	<dt>Check</dt>
	<dd>This will download any new emails you have received since you logged in</dd>

	<dt>New</dt>
	<dd>This creates a new email message</dd>

	<dt>Reply</dt>
	<dd>This replies to the message currently being viewed</dd>

	<dt>Reply-All</dt>
	<dd>This replies to the message currently being viewed, and to all the people in the To: and CC: fields as well</dd>

	<dt>Forward</dt>
	<dd>This will send the message on to a new address, using your address as the from and reply-to address</dd>

	<dt>Redirect</dt>
	<dd>This will send the message on to a new address and will keep the original from and reply-to address</dd>

	<dt>Prev</dt>
	<dd>This will view the previous message in the list</dd>

	<dt>Next</dt>
	<dd>This will view the next message in the list</dd>

	<dt>Address</dt>
	<dd>This will open your address book for editing</dd>

	<dt>Print</dt>
	<dd>This will print the message you are currently viewing</dd>

	<dt>Help</dt>
	<dd>This will open the help page in a new window</dd>

	<dt>Options</dt>
	<dd>This will open your options page so you can customise your ||cust_display_name||</dd>

	<dt>Folders</dt>
	<dd>This will open the folders page so you can create, delete and edit folders</dd>

	<dt>Copy and Move</dt>
	<dd>These buttons let you copy or move the selected messages from the EMail list to another folder</dd>

	<dt>Logout</dt>
	<dd>This will end your ||cust_display_name|| session</dd>
</dl>
</blockquote>
</blockquote>

<h3>Folder bar</h3>

<blockquote>
<blockquote>
<dl>
	<dt>Bulletins <img src="||nwimg||/bulletin.gif" alt="Bulletins" /></dt>
	<dd>This will take you to your Bulletins folder so you can view messages broadcast by the admin</dd>

	<dt>Search <img src="||nwimg||/search.gif" alt="Search" /></dt>
	<dd>This will take you to the search page so you can easily search through your messages</dd>

	<dt>Inbox <img src="||nwimg||/inbox.gif" alt="Inbox" /></dt>
	<dd>This will take you to your inbox folder (Note: this will not check for new messages)</dd>

	<dt>Sent <img src="||nwimg||/outbox.gif" alt="Sent" /></dt>
	<dd>This will take you to your sent messages or outbox folder</dd>

	<dt>Trash <img src="||nwimg||/trash.gif" alt="Trash" /></dt>
	<dd>This will take you to your trash folder</dd>

	<dt>Personal Folders <img src="||nwimg||/folder.gif" alt="" /></dt>
	<dd>These will take you to folders that you have created yourself using the folders page.</dd>
</dl>
</blockquote>
</blockquote>

<h3>EMail List</h3>

<blockquote>
<blockquote>
<dl>
	<dt>
		<a name="flags"><b>Email Flags</b></a>
 		<img src="||nwimg||/iread1.gif" alt="Read/Unread" />
		<img src="||nwimg||/iattach1.gif" alt="Attachments" />
		<img src="||nwimg||/ireply1.gif" alt="Replied" />
	</dt>
	<dd>
		These flags let you quickly see some information about the message
		<dl>
			<dt><img src="||nwimg||/iread1.gif" alt="Read/Unread" /></dt>
			<dd>This message has been read</dd>

			<dt><img src="||nwimg||/iread0.gif" alt="Read/Unread" /></dt>
			<dd>This message has not been read</dd>

			<dt><img src="||nwimg||/iattach1.gif" alt="Attachments" /></dt>
			<dd>This message has one or more attachments</dd>

			<dt><img src="||nwimg||/iattach0.gif" alt="Attachments" /></dt>
			<dd>This message has no attachments</dd>

			<dt><img src="||nwimg||/ireply1.gif" alt="Replied" /></dt>
			<dd>You have sent a reply to this messgae</dd>

			<dt><img src="||nwimg||/ireply0.gif" alt="Replied" /></dt>
			<dd>This message has not been replied to</dd>

			<dt><img src="||nwimg||/iunseen1.gif" alt="New" /></dt>
			<dd>This message has been downloaded since your last login</dd>
		</dl>
		You can toggle the Read and Replied flags by clicking on them
	</dd>

	<dt>Sel</dt>
	<dd>
		This column lets you select or deselect messages in the list<br />
		Clicking on "Sel" will select or deselect all the messages
	</dd>

	<dt>Who</dt>
	<dd>
		This column says who sent you this message<br />
		If you are in the Sent folder then this column says who the message is addressed to<br />
		Clicking on "Who" will sort the list alphabetically on this column<br />
		Clicking messages in the column will open the message for viewing
	</dd>

	<dt>Subject</dt>
	<dd>
		This column says the subject of each message<br />
		Clicking on "Subject" will sort the list alphabetically on this column<br />
		Clicking messages in the column will open the message for viewing
	</dd>

	<dt>Date</dt>
	<dd>
		This column says the date and time the message was sent<br />
		Clicking on this column will sort the messages on the date they were sent
	</dd>

	<dt>Attach</dt>
	<dd>This column says how many attachments each message has</dd>

	<dt>Size</dt>
	<dd>
		This columns says the size of each message in bytes<br />
		Clicking on "Size" will sort the messages on size
	</dd>
</dl>
</blockquote>
</blockquote>

<hr />

<h3><a name="s3">How do I read Mail?</a></h3>

<p>When you first login you will be viewing your INBOX folder. Clicking on the subject or sender name of
an EMail will display a screen like the following:</p>

<center><img src="||nwimg||/itempage.jpg" alt="Item Page" /></center>

There are a number of actions that you can perform on this screen:

<blockquote>
<blockquote>
<dl>
	<dt>Delete</dt>
	<dd>This deletes the message currently being viewed</dd>

	<dt>Reply</dt>
	<dd>This replies to the message currently being viewed</dd>

	<dt>Reply-All</dt>
	<dd>This replies to the message currently being viewed, and to all the people in the To: and CC: fields as well</dd>

	<dt>Forward</dt>
	<dd>This will send the message on to a new address, using your address as the from and reply-to address</dd>

	<dt>Redirect</dt>
	<dd>This will send the message on to a new address and will keep the original from and reply-to address</dd>

	<dt>Prev</dt>
	<dd>This will view the previous message in the list</dd>

	<dt>Next</dt>
	<dd>This will view the next message in the list</dd>

	<dt>Add to recent addresses</dt>
	<dd>This will add the address of the person who sent this message to your recent addresses list</dd>

	<dt>Add to address book</dt>
	<dd>This will add the address of the person who sent this message to your address book</dd>

	<dt>Reject this sender</dt>
	<dd>This will delete this message and automatically delete all messages you recieve from this person in the future.  Use this feature carefully!</dd>

	<dt>View Message File</dt>
	<dd>This will display the raw message as ||cust_display_name|| received it from the pop server</dd>
</dl>
</blockquote>
</blockquote>


<p>You can also change the viewing options of the E-Mail selected. There are 6 options available.  Make sure you click the "Set View" button after selecting your viewing options.</p>

<blockquote>
<blockquote>
<dl>
	<dt>Raw</dt>
	<dd>This forces the body of the message to be display as it is is stored on the IMAP or POP server</dd>

	<dt>Headers</dt>
	<dd>This forces the complete headers of the E-Mail to be displayed</dd>

	<dt>Variable width font</dt>
	<dd>This will display the body of the message in a variable width font instead of a fixed width font</dd>

	<dt>Inline images</dt>
	<dd>This will make ||cust_display_name|| attempt to display images and other attachments in the body of the message</dd>

	<dt>Enable attached scripts etc.</dt>
	<dd>
		When viewing HTML inline, ||cust_display_name|| for security reasons automatically removes
        scripts, forms and applets, checking this box will stop these from being removed. This
        setting unlike the others will not be saved and you need to check this each time you want
        to see the srcipt, forms and applets
	</dd>

	<dt>Show both 'alternative' parts</dt>
	<dd>This will make ||cust_display_name|| display both the plain text and the HTML parts of a multi-part message</dd>
</dl>
</blockquote>
</blockquote>

<hr />

<h3><a name="s4">How do I send Mail?</a></h3>

<p>Once you have logged in to ||cust_display_name|| correctly, you will be presented with a menubar will
be displayed at the top of the screen. On this menubar is the 'New' button.  Pressing this button will cause the following
screen to be displayed.</p>

<center><img src="||nwimg||/newpage.jpg" alt="New Message" /></center>

<p>This screen will allow you to enter the E-Mail deatils and then send the E-Mail.</p>

<blockquote>
  <blockquote>
    <table>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>E-Mail Recipients (</strong></td>
            <td><strong>To, Cc and Bcc</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">There are three ways a person can receive an E-Mail depending on which
        field you enter their E-Mail address. 
        <div align="center"><center><table width="75%">
          <tr>
            <td><ul>
              <li>The 'To' field is who will receive this E-Mail message</li>
            </ul>
            </td>
          </tr>
          <tr>
            <td><ul>
              <li>'Cc' stands for carbon copy and these E-Mail address receive a copy of this E-Mail, the
                recipients do see who gets sent a carbon copy. </li>
            </ul>
            </td>
          </tr>
          <tr>
            <td><ul>
              <li>'Bcc' is Blind Carbon Copy, which is very similar to 'Cc' expect that the recipients do
                not get told who gets a Blind Carbon Copy.</li>
            </ul>
            </td>
          </tr>
        </table>
        </center></div><p>You can enter an E-Mail, distribution label or an address book nick
        name. The distribution label and address book nick names are expanded out before they get
        sent.</p>
        <div align="center"><center><table width="75%">
          <tr>
            <td>ie. If you entered: </td>
          </tr>
          <tr>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="mailto:Lynden@1.2.3.4">Lynden@1.2.3.4</a>,
            ralph, work_people </td>
          </tr>
          <tr>
            <td>Into any of the three fields were, ralph is an address nick name for <a
            href="mailto:'ralph@1.2.3.4">'ralph@1.2.3.4</a>' and&nbsp;work_people is a a distribution
            label for '<a href="mailto:lynden@4.3.2.1">lynden@4.3.2.1</a>,<a
            href="mailto:john@4.3.2.1">john@4.3.2.1</a>' then the finial field will be: </td>
          </tr>
          <tr>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="mailto:Lynden@1.2.3.4">Lynden@1.2.3.4</a>,
            <a href="mailto:'ralph@1.2.3.4">ralph@1.2.3.4</a>, <a href="mailto:lynden@4.3.2.1">lynden@4.3.2.1</a>,<a
            href="mailto:john@4.3.2.1">john@4.3.2.1</a> </td>
          </tr>
        </table>
        </center></div></td>
      </tr>
    </table>
    <table>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>From address (</strong></td>
            <td><strong>From</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This is the address that people will be used when people reply to this message</p></td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Subject (</strong></td>
            <td><strong>Subject</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">This is the subject line of the message. This is supposed to give an
        indication about what the E-Mail is about so that the recipients can determine if they
        wish to read the E-Mail or not.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Attachments (</strong></td>
            <td><strong><img border="0" src="||nwimg||/attach.gif" alt="Address Book" /></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">You are allowed to attach any file to your E-Mail. Some admins have
        limited the size of E-Mails that can be sent and you should talk to your admin about this.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Clear (</strong></td>
            <td><strong><img border="0" src="||nwimg||/clear.gif" alt="Clear" /></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">This button will clear the last selected 'To, Cc or Bcc' field.
        Removing all the addresses typed in.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Address Book (</strong></td>
            <td><strong><img border="0" src="||nwimg||/addressbook.gif" alt="Address Book" /></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">This button will popup the quick address book. Allowing you to select
        people from your address book, to enter directly into the 'To, Cc or Bcc' fields. For more
        details on the address book and the look of the popup address see <a href="#address_book">Address
        Book Management</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Check Spelling (</strong></td>
            <td><strong><img border="0" src="||nwimg||/spell.gif" alt="" /></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">This will take you to the spell checking that is available in ||cust_display_name||.
        Allowing you to change misspelt words or add new words to your user dictionary.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Save Draft (</strong></td>
            <td><strong><img border="0" src="||nwimg||/save.gif" alt="" /></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">E-Mails that you plan to use over and over again, or E-Mails that you
        do not have time to finish you can save. Saving the message as a draft will store the
        message on the Mail server until you are ready to send it. You need to select a folder to
        store the draft message in.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Sending Options</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>
			<blockquote>
			<dl>
				<dt>Priority</dt>
				<dd>This allows you to set the priority of your message to normal or "Urgent"</dd>

				<dt>Signature</dt>
				<dd>This lets you select what signature to use with this message</dd>

				<dt>Content/Type</dt>
				<dd>This lets you select the type of message you are sending.  For plain text messages use "Plain Text".  For HTML messages use "text/html"</dd>

				<dt>Keep Copies</dt>
				<dd>When this box is checked ||cust_display_name|| will save a copy of your message into your sent folder when you send the message</dd>

				<dt>Request Confirm</dt>
				<dd>This allows you to request a confimation that the person you have sent the message to has opened your message (Note: this does not guarantee that they have read your message, just that they have opened it)</dd>
			</dl>
			</blockquote>
		</td>
	  </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Send E-Mail (</strong></td>
            <td><strong><img src="||nwimg||/send.gif" alt="Send" /></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td align="left">Once you have finished writing the E-Mail message you must press this
        button to send the message</td>
      </tr>
    </table>
  </blockquote>
</blockquote>

<hr />

<h3><a name="user_options">User Options</a></h3>

<p>Pressing the 'options' button
pressing this will cause the following screen to be displayed.</p>

<center><img src="||nwimg||/optionspage.jpg" alt="Options Page" /></center>

<p>The above screen displays all the user options that you can setup. Allowing you to
setup your Real Name, Signature, Multi-Host and Mail Filtering Rules. This screen could
vary from one displayed above.</p>

<blockquote>
<blockquote>
<dl>
	<dt>Save Config</dt>
	<dd>Pressing this button will save the changes in the current page you are viewing<br />
	<b>You MUST press this button for ||cust_display_name|| to be able to see your option changes</b></dd>

	<dt>User Signatures</dt>
	<dd>This will allow you to edit your user signatures for each user profile</dd>

	<dt>Filtering Rules</dt>
	<dd>This allows you to setup filtering rules for new messages.  eg, you might setup a rule to move all messages from mum@hotmail.com to your mum folder</dd>

	<dt>Fetch Emails</dt>
	<dd>This allows you to multiple email accounts at the same time using ||cust_display_name||</dd>

	<dt>Reject List</dt>
	<dd>This allows you to add or remove addresses from your reject list.  Messages from addresses on your reject list will be automatically deleted when you check mail</dd>

	<dt>Mail List</dt>
	<dd>This will take you back to the email list page</dd>

	<dt>Your Name</dt>
	<dd>Set this to what you would like ||cust_display_name|| to call you</dd>

	<dt>POP diskuse</dt>
	<dd>This shows how much disk space your ||cust_display_name|| account is using, and how much you are allowed to use</dd>

	<dt>Default Reply Address</dt>
	<dd>This is the default address that you want people to send messages to when replying to your messages</dd>

	<dt>Auto-Refresh new mail screen</dt>
	<dd>You can set this field to make ||cust_display_name|| automatically check mail for you while you are viewing the email list page<br />
	Leave this field blank to turn this feature off</dd>

	<dt>Don't display preview panel</dt>
	<dd>This checkbox turns off the preview of the message in the lower half of the email list page</dd>

	<dt>Time Zone</dt>
	<dd>This allows you to select the timezone you are using ||cust_display_name|| from</dd>

	<dt>Select template set</dt>
	<dd>This allows you to change the look or "skin" of ||cust_display_name||</dd>

	<dt>New Mail Sound File</dt>
	<dd>Selecting a file here will make ||cust_display_name|| play an alert whenever you download a new message</dd>

	<dt>Cookie Login</dt>
	<dd>Checking this box will make ||cust_display_name|| store a cookie on your machine so you will be automatically logged in without having to enter a username and password.<br />
	<b>You should NOT use this feature on public machines</b></dd>

	<dt>Set View</dt>
	<dd>This allows you to set your default viewing options while <a href="#s3">viewing a message</a></dd>

	<dt>Change Password</dt>
	<dd>This will allow you to change the password to your ||cust_display_name|| account</dd>

	<dt>IMAP prefix</dt>
	<dd>This lets you change the folder prefix that ||cust_display_name|| uses when connecting to your mail server.  You will not usually have to change this setting</dd>

	<dt>Profile</dt>
	<dd>This lets you select what user profile (signature) to use</dd>

	<dt>Rebuild Indexes</dt>
	<dd>Clicking this link will make ||cust_display_name|| delete its message index and rebuild it from your POP folders and the mail server.  You should not usually need to click this link but it can be a good thing to try if a message dissapears</dd>
</dl>
</blockquote>
</blockquote>

<hr />

<h3><a name="folder_management">Folder Management</a></h3>

<p>Pressing the 'Folders' button will cause the following screen to be displayed. </p>
<center><img src="||nwimg||/folderspage.jpg" alt="Folders Page" /></center>

<p>This screen allows you to change and maintain your Mail folders.</p>

<p>You can rename, create and delete folders. </p>

<p><strong>WARNING: </strong>When you delete a folder you will also delete all the E-Mail
within this folder.</p>

<p>The Folder List at the bottom of the screen displays every folder and the number of
messages, total size of all the E-Mails as well as some stats on the number of E-Mails
that have been read, are drafts, are marked for deletion and have been replied to.</p>

<p>Clicking on the folder name in this list will also take you directly to that folder.</p>

<hr />

<h3><a name="pick_list">Address Books</a></h3>

<p>Pressing the 'Address' button will cause the following screen to be displayed.</p>

<center><img src="||nwimg||/pickpage.jpg" alt="Pick Page" /></center>

<h5>Pick List</h5>
<p>In the top left of the screen you can see the Pick List text box.<br />
This is the 30 most commonly used E-Mail address. When the check box '<strong>Add
addresses automatically</strong>' is checked then any from address of an E-Mail that is
viewed or the To, Cc, and Bcc of any sent E-Mail will be automatically added to this pick
list.<br />
You can manually change, remove or add new E-Mail address to this list and then press the
'save' button.<br />
Also when you view any E-Mail their is also a button called 'Add to Recent Addresses'.  When you press this button the From address of the
E-Mail is added to the pick list.</p>

<hr />

<h5>Distribution List</h5>


<p>In the top right of the screen you will see the distribution list.  The distribution list lets you save time in retyping multiple E-Mail
address. If you have a group of people that you are continually sending E-Mail to you can
setup a label (ie <strong>work</strong>) where you just have to type this in instead of
everyones E-Mail address every single time. You are also allowed to associated address
book names in distribution lists.</p>

<p>The above example has setup <strong>'work'</strong> to be associated with 'john@1.2.3.4' and 'luke@1.2.3.4'</p>

<hr />

<h5>Address Book</h5>


<p align="left">This screen display the E-Mails in the selected address book, in this case
the default address book. If you wish to change the detail of a signle entry, all you need
to do is click on the nickname and you will be display the users address book settings.</p>

<p align="left">To add an address book entry click on the 'Add Address' button and you will see the following
screen:</p>

<center><img src="||nwimg||/addpage.jpg" alt="Address Book Page" /></center>

<p align="left">This allows you to enter Fullname, EMail address, phone numbers and street address</p>

<p align="left">To add an user to the selected address book, all you do is enter the
details including the Nickname.  Then press the 'Add' button to add to the address book.  You will now be able to just type the nickname in ||cust_display_name|| fields instead of the entire email address</p>

<p align="left">Each nickname must be unique. If the nickname already exists then the new
one will replace the old one. Clicking on the nickname on the right will load that users
details in to the editable fields.</p>

<p align="left">The '<img border="0" src="||nwimg||/addressbook.gif" alt="" />'
button is also available in the creating an E-Mail screen. This makes the following to
come up in a popup window.</p>

<center><img src="||nwimg||/bookonlypage.jpg" alt="" /></center>

<p>Clicking on a nickname in this case will copy the nick name into the selected 'To, Cc
or Bcc' field so you can quickly find and select an address from your address book.
To paste multiple addresses quickly you can select what addresses you what in what fields using the checkboxes on the left.  Clicking 'Done' will paste these addresses into the selected fields.
</p>
</body>
</html>
