<html>

<head>
<title>||product|| Users Guide</title>
</head>
<!-- BEGIN HEADER -->

<body BGCOLOR="#B0B0B0">
<!-- END HEADER -->

<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td align="right" width="15%"><img src="||nwimg||/logo.gif" width="100" height="40"></td>
    <td width="5%"></td>
    <td align="center" width="60%"><font color="#FF0000" size="6">||product|| User's Manual</font></td>
    <td width="5%"></td>
    <td width="15%"><img src="||nwimg||/logo.gif" width="100" height="40"></td>
  </tr>
</table>

<p>||product|| is a web-email gateway which allows you to read and process your email from a
web browser running on any machine with access to the internet ( or your intranet ). It is
a full featured email client package which provides facilities to read new mail, send and
forward messages, send and view attachments, use folders to organize your messages etc.</p>

<p>||product|| uses POP and IMAP protocol. When ||product|| is talking to an IMAP server
your messages are left on the server. You can see and manipulate all the same email
messages and folders you can access from a standard IMAP email client, but from any
web browser anywhere on the net. You can also swap backwards and forwards between any
other IMAP client and ||product||.</p>

<p><font color="#FF0000">Briefly . . .</font> </p>

<p><font color="#FF0000">To use ||product||, point your World Wide Web browser at the
appropriate </font><a href="http://netwinsite.com/dmailweb/nwgloss.htm#URL">URL</a> <font
color="#FF0000">such as:</font></p>

<blockquote>
  <blockquote>
    <p><font color="#FF0000">http://nice.co.nz/cgi-bin/webmail.cgi</font> </p>
  </blockquote>
</blockquote>

<p><font color="#FF0000">Then enter your Username and Password to login and process your
new mail. It's that simple but for more details read on...</font></p>

<hr>

<h2><a name="Manual Contents:"><font size="4">Manual Contents:</font></a> </h2>

<p>For quickly getting started...

<ol type="1" start="1">
  <li><a href="#s1">How Do I get my Mail?</a></li>
  <li><a href="#s2">How do I login?</a></li>
  <li><a href="#s3">How do I read mail?</a></li>
  <li><a href="#s4">How do I send mail?</a></li>
</ol>

<p>For more details...

<ol type="1" start="4">
  <li><a href="#user_options">User Options</a></li>
  <li><a href="#folder_management">Folder Management</a></li>
  <li><a href="#pick_list">Pick List Management</a></li>
  <li><a href="#dist_list">Distribution List Management</a></li>
  <li><a href="#address_book">Address Book Management</a></li>
</ol>

<h2><font color="#FF0000">Notes on using these manual pages:</font> </h2>

<p>This User Manual guides you through the various pages of ||product||, noting the functions
of all of the Buttons, <a href="http://netwinsite.com/dmailweb/nwgloss.htm#hyperlink">Links</a>
<font color="#00FF00">*</font>, Check Boxes and Text Fields that you will find on them. In
addition to normal links to related information there are glossary definitions for many of
the technical terms and acronyms. These links to glossary definitions are shown thus <a
href="http://netwinsite.com/dmailweb/nwgloss.htm#server">server</a> <font color="#00FF00">*</font></p>

<p>New users in particular should find these links to the <a
href="http://netwinsite.com/dmailweb/nwgloss.htm">Netwin Glossary</a> helpful.</p>

<p>For the experts who are just skimming, <font color="#FF0000">red text</font> will
generally contain interesting tips on getting the most out of ||product||. Also, see the <a
href="#Interesting Technical Info">Technical Details</a> section.</p>

<p>If you are <b>new</b> to WebNEWS then still read the parts in <font color="#FF0000">red
text</font> but <b>don't worry</b> if you don't understand them immediately.</p>

<hr>

<h3><a name="s1">How can I get my Mail?</a></h3>

<p>Here is the instant three step guide...</p>

<table border="0">
  <tr>
    <td valign="top" width="10%">1.</td>
    <td valign="top" width="60%">Start your web browser&nbsp;</td>
    <td valign="top">- e.g. Netscape, Internet Explorer etc.</td>
  </tr>
  <tr>
    <td valign="top" width="10%">2.</td>
    <td valign="top" width="60%">Point it at the ||product|| page</td>
    <td valign="top">- your Internet Service Provider (ISP) or Computer Department will have
    told you the URL to use, e.g. <a
    href="../../dnewsweb/manuals/this%20one%20is%20made%20up!!!!!!">http://nice.co.com/cgi-bin/||product||.cgi</a>.</td>
  </tr>
  <tr>
    <td valign="top" width="10%">3.</td>
    <td valign="top" width="60%">Depending on how they have setup ||product|| you might see a
    login page if so enter your username and password<br>
    (then click the 'Login' button)</td>
    <td valign="top">- again you will probably have been given a username and password to use</td>
  </tr>
  <tr>
    <td valign="top" width="10%"></td>
    <td valign="top" width="60%">Bingo - you're at your Mail!</td>
    <td valign="top"></td>
  </tr>
</table>

<p>For more detailed information please read through the next few sections. </p>

<hr>

<h3><a name="s2">How do I login?</a></h3>

<p>Before you can use ||product|| you need to login. When you run ||product|| you will be
presented with the login page:</p>
<div align="center"><center>

<table boader="1">
  <tr>
    <td><table>
      <tr>
        <td><img src="||nwimg||/logo.gif" width="100" height="40"> </td>
        <td><h2>||product|| - <em>Web Mail Client</em></h2>
        </td>
      </tr>
    </table>
    <table>
      <tr>
        <td><form action method="POST">
          <table border="0">
            <tr>
              <td nowrap>Enter Username:</td>
              <td><input type="text" size="30" maxlength="256" name="user"></td>
              <td></td>
              <td align="center" rowspan="3"><input type="image" border="0" src="||nwimg||/login.gif"
              alt="Login" name="login" width="72" height="35"> </td>
            </tr>
            <tr>
              <td nowrap>Enter Password:</td>
              <td><input type="password" size="30" maxlength="256" name="pass"></td>
              <td></td>
            </tr>
            <tr>
              <td nowrap>Enter Host: (optional) </td>
              <td><input type="text" size="30" maxlength="256" name="host"></td>
              <td></td>
            </tr>
            <tr>
              <td nowrap><input type="checkbox" name="frames" value="ON" checked>Use Frames</td>
            </tr>
          </table>
        </form>
        </td>
        <td><noscript><i>Your browser either does not understand javascript or has javascript disabled.
        ||product|| can work without javascript but not all functions will be available.</i> </noscript></td>
      </tr>
    </table>
    </td>
  </tr>
</table>
</center></div>

<p>To login you must first supply a valid username and password. This username and
password should have been supplied to you by your computer service center.</p>

<p>The ||product|| Administrator will have assigned a default Mail server for use with
||product||. So, as a user, as long as you use the correct <a
href="http://netwinsite.com/dmailweb/nwgloss.htm#URL">URL</a><font color="#00FF00">*</font>
in your web browser then you'll automatically log in to the correct location. So you do
not have to enter anything in the 'Enter Host' box.</p>

<p>Once you are login, ||product|| will check the Mail server and will display the E-Mail that
are available. You should see a screen like the following:</p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><table border="0" cellspacing="0" cellpadding="0" width="100%">
      <tr>
        <td align="center" valign="top"><img src="||nwimg||/logo.gif" width="100" height="40"></td>
        <td valign="top" cellpadding="0" cellspacing="0"><table border="0" cellpadding="0"
        cellspacing="0">
          <tr align="center">
            <td><img border="0" src="||nwimg||/inbox.gif" width="72" height="35"> <img border="0"
            src="||nwimg||/new.gif" width="72" height="35"></td>
          </tr>
          <tr>
            <td><form action method="POST">
              <p><select name="host_cur" size="1&quot;">
                <option value="0">lynden@1.2.3.4:143</option>
                <option value="1">lynden@1.2.3.4:110</option>
              </select> </p>
            </form>
            </td>
          </tr>
          <tr>
            <td><a target="_top" href="http://netwinsite.com/top_mail.htm"><font SIZE="-2">||product||
            v1.4o Copyright  <i>NetWin Ltd</i> </font></a></td>
          </tr>
        </table>
        </td>
        <td valign="top" cellpadding="0" cellspacing="0"><table border="0" cellpadding="0"
        cellspacing="0">
          <tr valign="top">
            <td valign="top" align="center"><img border="0" src="||nwimg||/option.gif" width="72"
            height="35"></td>
            <td align="center"><img border="0" src="||nwimg||/fldrs.gif" width="72" height="35"></td>
            <td align="center"><img border="0" src="||nwimg||/addrsbk.gif" width="72" height="35"></td>
          </tr>
        </table>
        </td>
        <td valign="top" border="0" cellpadding="0" cellspacing="0"><table border="0"
        cellpadding="0" cellspacing="0">
          <tr>
            <td><img border="0" src="||nwimg||/trash.gif" width="72" height="35"></td>
          </tr>
          <tr>
            <td><img border="0" src="||nwimg||/popup.gif" width="72" height="35"></td>
          </tr>
        </table>
        </td>
        <td><img border="0" src="||nwimg||/help.gif" width="72" height="35"></td>
        <td><form action method="POST">
          <p><img border="0" src="||nwimg||/logout.gif" width="72" height="35"></p>
        </form>
        </td>
      </tr>
    </table>
    </td>
  </tr>
  <tr>
    <td><h3>Please Note: You did not Logout from last session.</h3>
    <form action method="POST">
      <table>
        <tr>
          <td><h4>Mail List: lynden (INBOX 4 messages)</ht4></h4>
          </td>
          <td><img border="0" src="||nwimg||/reload.gif" width="72" height="35"></td>
          <td width="100"></td>
          <td align="right">Folder:</td>
          <td><select name="dstfld" size="1">
            <option>INBOX</option>
            <option value="Drafts">Drafts</option>
            <option value="Sent">Sent</option>
            <option value="Trash_Can">Trash_Can</option>
          </select></td>
          <td><img border="0" src="||nwimg||/gtfldr.gif" width="72" height="35"></td>
        </tr>
      </table>
    </form>
    <table>
      <tr>
        <td><table width="100%">
          <tr>
            <td><img src="||nwimg||/iread0.gif" width="12" height="12">/<img src="||nwimg||/iread1.gif"
            width="12" height="12">&nbsp;=&nbsp;unread/read</td>
            <td><img src="||nwimg||/iunseen1.gif" width="13" height="13"> = new</td>
            <td><img src="||nwimg||/iattach1.gif" width="7" height="12"> = attachment</td>
            <td><img src="||nwimg||/ireply1.gif" width="8" height="12"> = replied</td>
            <td><img src="||nwimg||/idelete1.gif" width="12" height="12"> = Deleted</td>
            <td><img src="||nwimg||/iflag1.gif" width="12" height="12"> = Filtered</td>
          </tr>
        </table>
        <div align="center"><center><table border="1" cellpadding="2" cellspacing="0">
          <tr align="center">
            <td><b>Page 1 of 1</b></td>
          </tr>
        </table>
        </center></div><form action method="POST">
          <table border="1" bgcolor="ffffff">
            <tr>
              <th>Read </th>
              <th><a href>Sel</a> </th>
              <th><a href>Subject</a> </th>
              <th><a href>From</a> </th>
              <th>Forward </th>
              <th><a href>Date</a> </th>
              <th>Time </th>
              <th><a href>Bytes</a> </th>
            </tr>
            <tr bgcolor="#C0C0C0">
              <td nowrap>
					<img border="0" src="||nwimg||/iread1.gif" width="12" height="12">
					<img src="||nwimg||/iattach0.gif" width="7" height="12">
					<img border="0" src="||nwimg||/ireply1.gif" width="8" height="12">
					<img border="0" src="||nwimg||/idelete0.gif" width="12" height="12">
					<img border="0" src="||nwimg||/iflag0.gif" width="12" height="12">
				</td>
              <td><input type="checkbox" name="sel_28" value="on"> </td>
              <td nowrap><a href>***Welcome here to all</a> <img src="||nwimg||/iunseen1.gif" width="13"
              height="13"> </td>
              <td>lynden@1.2.3.4 </td>
              <td><a href>Forward</a> </td>
              <td>11/30/99</td>
              <td nowrap>9:39:29 am </td>
              <td>179 </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td nowrap><img border="0" src="||nwimg||/iread1.gif" width="12" height="12">
						<img src="||nwimg||/iattach1.gif" width="7" height="12">
						<img border="0" src="||nwimg||/ireply0.gif" width="8" height="12">
						<img border="0" src="||nwimg||/idelete0.gif" width="12" height="12">
						<img border="0" src="||nwimg||/iflag0.gif" width="12" height="12">
				</td>
              <td><input type="checkbox" name="sel_30" value="on"> </td>
              <td nowrap><a href>HTML Attachments</a> <img src="||nwimg||/iunseen0.gif" width="13"
              height="13"> </td>
              <td>Ralph@1.2.3.4 </td>
              <td><a href>Forward</a> </td>
              <td>12/6/99</td>
              <td nowrap>9:43:00 am </td>
              <td>2628 </td>
            </tr>
            <tr bgcolor="#C0C0C0">
              <td nowrap><img border="0" src="||nwimg||/iread1.gif" width="12" height="12">
			  <img src="||nwimg||/iattach0.gif" width="7"
              height="12"> <img border="0" src="||nwimg||/ireply0.gif" width="8" height="12"> <img
              border="0" src="||nwimg||/idelete1.gif" width="12" height="12"> <img border="0"
              src="||nwimg||/iflag0.gif" width="12" height="12"> </td>
              <td><input type="checkbox" name="sel_34" value="on"> </td>
              <td nowrap><a href>Testing New Mail.</a> <img src="||nwimg||/iunseen0.gif" width="13"
              height="13"> </td>
              <td>John@1.2.3.4 </td>
              <td><a href>Forward</a> </td>
              <td>12/17/99</td>
              <td nowrap>9:04:46 am </td>
              <td>177 </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td nowrap><a href><img border="0" src="||nwimg||/iread0.gif" width="12" height="12"></a>
				<img src="||nwimg||/iattach1.gif" width="7"
              height="12"> <a href><img border="0" src="||nwimg||/ireply0.gif" width="8" height="12"></a> <a
              href><img border="0" src="||nwimg||/idelete0.gif" width="12" height="12"></a> <a href><img
              border="0" src="||nwimg||/iflag0.gif" width="12" height="12"></a> </td>
              <td><input type="checkbox" name="sel_37" value="on"> </td>
              <td nowrap><a href>FWD: Welcome here to all</a> <img src="||nwimg||/iunseen0.gif" width="13"
              height="13"> </td>
              <td>lynden@1.2.3.4 </td>
              <td><a href>Forward</a> </td>
              <td>12/20/99</td>
              <td nowrap>12:10:10 pm </td>
              <td>1169</td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td nowrap><input name="allbox" type="checkbox" value="Check All" onClick="CheckAll();"></td>
              <td><i>Select all displayed messages</i></td>
            </tr>
          </table>
          <div align="center"><center><table border="1" cellpadding="2" cellspacing="0">
            <tr align="center">
              <td><b>Page 1 of 1</b></td>
            </tr>
          </table>
          </center></div><div align="center"><center><table>
            <tr>
              <td><table>
                <tr>
                  <td><img border="0" src="||nwimg||/forward.gif" width="72" height="35"></td>
                  <td><img border="0" src="||nwimg||/copyto.gif" width="72" height="35"></td>
                </tr>
                <tr>
                  <td><img border="0" src="||nwimg||/delete.gif" width="72" height="35"></td>
                  <td><img border="0" src="||nwimg||/moveto.gif" width="72" height="35"></td>
                </tr>
              </table>
              </td>
              <td><select name="dstfld" size="1">
                <option>INBOX</option>
                <option selected value="Drafts">Drafts</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select>Sel Destination Folder:<br>
              </td>
            </tr>
          </table>
          </center></div>
        </form>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>
</center></div>

<p>The screen is divided into two portions, the Menubar and the E-Mail List.</p>

<p><strong>Menubar</strong></p>

<blockquote>
  <blockquote>
    <div align="center"><center><table cellpadding="0" cellspacing="0">
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Inbox (</strong></td>
            <td><strong><img border="0" src="||nwimg||/inbox.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This button is to automatically take you back to the INBOX folders.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>New Message (</strong></td>
            <td><strong><img border="0" src="||nwimg||/new.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to the create message page allowing you to create and send an
        E-Mail.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Sepected Multi-Host (</strong></td>
            <td><strong><select name="host_cur" size="1&quot;">
              <option value="0">lynden@1.2.3.4:143</option>
              <option value="1">lynden@1.2.3.4:110</option>
            </select></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This pulldown menubar displays the list of multi-host that have been setup in the user
        options. Changing the selected server and then clicking on the INBOX button will take you
        to the INBOX of that host.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>User Options (</strong></td>
            <td><strong><img border="0" src="||nwimg||/option.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to the user options page. Allowing you to add extra multi-host, and
        signature as well as changing other user options. For more details on the user options see
        <a href="#user_options">User Options</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Folder Manager (</strong></td>
            <td><strong><img border="0" src="||nwimg||/fldrs.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to folder management screen, allowing you to mantain you current
        folders. Allows you to delete, rename or create new folders. For more details on the
        folder options see <a href="#folder_management">Folder Management</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Address Book (</strong></td>
            <td><strong><img border="0" src="||nwimg||/addrsbk.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to the address book facilities available in ||product||. Also displayed
        here is the pick list and distribution lists. For more details on the address book and the
        look of the popup address see <a href="#address_book">Address Book Management</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Empty Trash (</strong></td>
            <td><strong><img border="0" src="||nwimg||/trash.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This button will empty the trash out of ||product||. This will remove any EMail in any
        folder that has been marked as deleted. ie messages that have '<img border="0"
        src="||nwimg||/idelete1.gif" width="12" height="12">' next to them.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Popup (</strong></td>
            <td><strong><img border="0" src="||nwimg||/popup.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will bring up the popup E-Mail list and will check your mail every 5 mins for any
        new E-Mails. While the popup screen is open the account will stay open.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Help (</strong></td>
            <td><strong><img border="0" src="||nwimg||/help.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This button displays this help file.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Logout (</strong></td>
            <td><strong><img border="0" src="||nwimg||/logout.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This will log your out of ||product||. If you do not cleanly logout of
        ||product|| then the message:<br>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        Please Note: You did not Logout from last session.<br>
        will be displayed the next time you login.</td>
      </tr>
    </table>
    </center></div>
  </blockquote>
</blockquote>

<p><strong>E-Mail List</strong></p>

<blockquote>
  <blockquote>
    <div align="center"><center><table>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Reload (</strong></td>
            <td><strong><img border="0" src="||nwimg||/reload.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This button will automaticly reload the E-Mail from Mail server again.
        When you are on the INBOX a reload will check for any new E-Mail available.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Select Folder (</strong></td>
            <td><strong><form action method="post">
              <p><select name="dstfld" size="1">
                <option>INBOX</option>
                <option value="Drafts">Drafts</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select></strong></p>
            </form>
            </td>
            <td><strong><img border="0" src="||nwimg||/gtfldr.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">If you select a folder from the pulldown menu and press the 'Get
        Folder' button, ||product|| will then display the E-Mails in that folder.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td nowrap><strong>E-Mail (</strong></td>
            <td><table boader>
              <tr>
                <td nowrap><strong><img border="0" src="||nwimg||/iread1.gif" width="12" height="12">
				<img src="||nwimg||/iattach0.gif" width="7"
                height="12"> <img border="0" src="||nwimg||/ireply1.gif" width="8" height="12"> <img
                border="0" src="||nwimg||/idelete0.gif" width="12" height="12"> <img border="0"
                src="||nwimg||/iflag0.gif" width="12" height="12"> </strong></td>
                <td><strong><input type="checkbox" name="sel_28" value="on"> </strong></td>
                <td nowrap><strong><a href>***Welcome here to all</a> <img src="||nwimg||/iunseen1.gif"
                width="13" height="13"> </strong></td>
                <td><strong>lynden@1.2.3.4 </strong></td>
                <td><strong><a href>Forward</a> </strong></td>
                <td><strong>11/30/99</strong></td>
                <td nowrap><strong>9:39:29 am </strong></td>
                <td><strong>179 </strong></td>
              </tr>
            </table>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This is a single E-Mail line, display a quick details about the
        E-Mail. Clicking on the subject of the E-Mail will display the entire E-Mail to read.
        Clicking on the forwarding will forward the E-Mail.<br>
        On the right most side will be varies flags:<br>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (<img
        src="||nwimg||/iread0.gif" width="12" height="12"> (unread) / <img src="||nwimg||/iread1.gif"
        width="12" height="12"> (read) / <img src="||nwimg||/iattach1.gif" width="7" height="12">
        (attachments) / <img src="||nwimg||/ireply1.gif" width="8" height="12"> (replyed) / <img
        src="||nwimg||/idelete1.gif" width="12" height="12"> (deleted) / <img src="||nwimg||/iflag1.gif"
        width="12" height="12"> (flagged) / <img src="||nwimg||/iunseen1.gif" width="13" height="13">
        (new))<br>
        the last three flags you can click on to change these if you wish to.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Select Folder (</strong></td>
            <td><strong><img border="0" src="||nwimg||/forward.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">The list of E-Mail messages that have been ticked will be forwarded.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Select Folder (</strong></td>
            <td><strong><img border="0" src="||nwimg||/delete.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This will mark the E-Mail messages to be deleted or move then to the
        Trash Can is one has been setup by the admin. To Empty the trash or delete the messages
        you need to press the button '<img border="0" src="||nwimg||/trash.gif" width="72"
        height="35">'.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Select Folder (</strong></td>
            <td><strong><img border="0" src="||nwimg||/copyto.gif" width="72" height="35"></strong></td>
            <td><strong><form action method="post">
              <p><select name="dstfld" size="1">
                <option>INBOX</option>
                <option selected value="Drafts">Drafts</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select></strong></p>
            </form>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">The E-Mail messages that have been selected will be copied to the
        folder selected. You can not copy E-Mail messages to the currently selected folder or the
        INBOX.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Select Folder (</strong></td>
            <td><strong><img border="0" src="||nwimg||/moveto.gif" width="72" height="35"></strong></td>
            <td><strong><form method="post" action>
              <p><select name="dstfld" size="1">
                <option>INBOX</option>
                <option selected value="Drafts">Drafts</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select></strong></p>
            </form>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">E-Mails messages that are selected will be moved to the selected
        folder.You can not move E-Mail messages to the currently selected folder or the INBOX.</td>
      </tr>
    </table>
    </center></div>
  </blockquote>
</blockquote>

<hr>

<h3><a name="s3">How do read Mail?</a></h3>

<p>When you first login you will be viewing your INBOX folder. Any E-Mail what has '<img
src="||nwimg||/iunseen1.gif" width="13" height="13">' is new. Clicking onthe subject name of
the EMail will display a screen like the following:</p>
<div align="center"><center>

<table border="1">
  <tr>
    <td align="center"><table border="1">
      <tr>
        <td><a href>Prev message</a> </td>
        <td><a href>Next message</a> </td>
        <td><a href>Mail List</a> </td>
        <td><a href>Delete Item</a> </td>
      </tr>
      <tr>
        <td><a href>Save to Disk</a> </td>
        <td><a href>Reply</a> </td>
        <td><a href>Reply-All</a> </td>
        <td><a href>Forward</a> </td>
        <td align="center">3 of 4 </td>
      </tr>
    </table>
    <div align="center"><center><table border="1">
      <tr>
        <td><img src="||nwimg||/iread1.gif" width="12" height="12">
			<img src="||nwimg||/iattach0.gif" width="7" height="12">
			<img src="||nwimg||/ireply0.gif" width="8" height="12">
			<img src="||nwimg||/idelete0.gif" width="12" height="12">
			<img src="||nwimg||/iflag0.gif" width="12" height="12">
		</td>
      </tr>
    </table>
    </center></div><div align="center"><center><table border="1" width="70%" cellpadding="20"
    cellspacing="0">
      <tr>
        <td bgcolor="ffffff"><table border="0" width="100%">
          <tr>
            <td><table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td align="right"><font size="2"><b>To:</b></font></td>
                <td width="12" rowspan="7"></td>
                <td><font size="2">lynden@1.2.3.4</font></td>
              </tr>
              <tr>
                <td align="right"><font size="2"><b>Subject:</b></font></td>
                <td><font size="2">Testing New Mail.</font></td>
              </tr>
              <tr>
                <td align="right"><font size="2"><b>CC:</b></font></td>
                <td></td>
              </tr>
              <tr>
                <td align="right"><font size="2"><b>Date:</b></font></td>
                <td nowrap><font size="2">Fri, 17 Dec 1999 09:04:46 +1200</font></td>
              </tr>
              <tr>
                <td align="right"><font size="2"><b>Status:</b></font></td>
                <td><font size="2">Normal</font></td>
              </tr>
              <tr>
                <td align="right"><font size="2"><b>From:</b></font></td>
                <td><font size="2">lynden@1.2.3.4</font></td>
              </tr>
              <tr>
                <td align="right"><font size="2"><b>Reply-to:</b></font></td>
                <td><font size="2">lynden@1.2.3.4</font></td>
                <td><form method="post" action>
                  <p><input type="image" border="0" src="||nwimg||/isaveadd.gif" name="saveaddr34" width="72"
                  height="35"></p>
                </form>
                </td>
              </tr>
            </table>
            </td>
          </tr>
          <tr>
            <td><font size="3"><pre>This is only a test E-Mail to show you.

--------------------------------------
   This EMail Was brought to you by
               ||product||
    A Netwin Web Based EMail Client
     <a
target="_blank" href="http://netwinsite.com/webimap/">http://netwinsite.com/||product||/</a>
</pre>
            </font></td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
    </center></div><div align="center"><center><table border="1">
      <tr>
        <td><img src="||nwimg||/iread1.gif" width="12" height="12">
			<img src="||nwimg||/iattach0.gif" width="7" height="12"> <img
        src="||nwimg||/ireply0.gif" width="8" height="12"> <img src="||nwimg||/idelete0.gif" width="12"
        height="12"> <img src="||nwimg||/iflag0.gif" width="12" height="12"> </td>
      </tr>
    </table>
    </center></div><div align="center"><center><table border="1">
      <tr>
        <td><a href>Prev message</a> </td>
        <td><a href>Next message</a> </td>
        <td><a href>Mail List</a> </td>
        <td><a href>Delete Item</a> </td>
      </tr>
      <tr>
        <td><a href>Save to Disk</a> </td>
        <td><a href>Reply</a> </td>
        <td><a href>Reply-All</a> </td>
        <td><a href>Forward</a> </td>
      </tr>
    </table>
    </center></div><hr>
    <form method="post" action>
      <div align="center"><center><table>
        <tr>
          <td width="50%"><table>
            <tr>
              <td rowspan="6"><input type="image" border="0" src="||nwimg||/setview.gif" name="setview34"
              width="72" height="35"></td>
              <td><input type="checkbox" name="v_raw" value="on">Raw</td>
              <td></td>
            </tr>
            <tr>
              <td><input type="checkbox" name="v_headers" value="on">Headers</td>
              <td></td>
            </tr>
            <tr>
              <td><input type="checkbox" name="v_font" value="on">Variable width font</td>
              <td></td>
            </tr>
            <tr>
              <td><input type="checkbox" name="v_inline" value="on" checked>Inline Images</td>
              <td></td>
            </tr>
            <tr>
              <td nowrap><input type="checkbox" name="v_exec" value="on">Enable Attach HTML<br>
              Scripts, Forms, Applets</td>
              <td></td>
            </tr>
          </table>
          </td>
          <td><table>
            <tr>
              <td><input type="image" border="0" src="||nwimg||/copyto.gif" name="copyitem34" width="72"
              height="35"></td>
              <td><select name="dstfld" size="1">
                <option>INBOX</option>
                <option value="Drafts">Drafts</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select></td>
            </tr>
            <tr>
              <td><input type="image" border="0" src="||nwimg||/moveto.gif" name="moveitem34" width="72"
              height="35"></td>
            </tr>
          </table>
          </td>
        </tr>
      </table>
      </center></div>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p>From this screen you can goto the previous E-Mail, next E-Mail and Mailing List pages.
You can also delete, save to disk, reply, reply-all, and forward this message. The
difference from reply and reply-all is that the reply-all will replay to all the To and Cc
fields while the reply will only send the reply to the '<strong>Reply-To</strong>' or '<strong>From</strong>'
address of the E-Mail.</p>

<p>You can also change the viewing options of the E-Mail selected. There are 5 options
available:</p>

<blockquote>
  <blockquote>
    <ol>
      <li><strong>Raw<br>
        </strong>This forces the body of the message to be display as it is is stored on the IMAP
        or POP server. </li>
      <li><strong>Headers<br>
        </strong>This forces the complete headers of the E-Mail to be display like the following<div
        align="center"><center><table border="1">
          <tr>
            <td>Return-Path: lynden@1.2.3.4<br>
            Received: from 1.2.3.4 ([1.2.3.4]) by 1.2.3.4; Fri, 17 Dec 1999 09:04:47 +1200<br>
            Sender: lynden@1.2.3.4<br>
            From: lynden@1.2.3.4<br>
            Reply-to: lynden@1.2.3.4<br>
            To: lynden@1.2.3.4<br>
            Subject: Testing New Mail.<br>
            X-Mailer: ||product|| to Mail Gateway v1.4o<br>
            Date: Fri, 17 Dec 1999 09:04:46 +1200<br>
            Message-id: &lt;385945de.ba.41@1.2.3.4&gt;<br>
            X-Rcpt-To: &lt;lynden@1.2.3.4&gt;;</td>
          </tr>
        </table>
        </center></div></li>
      <li><strong>Variable width font<br>
        </strong>This will display the body of the message in a variable width font instead of a
        fixed width font.</li>
      <li><strong>Inline Images<br>
        </strong>This will tell ||product|| to try and display images, and html inline.</li>
      <li><strong>Enable Attach HTML, Scripts, Forms and Applets<br>
        </strong>When viewing HTML inline, ||product|| for security reasons automatically removes out
        scripts, forms and applets, checking this box will get these to be left on the HTML. This
        setting unlike the others will not be saved and you need to check this each time you want
        to see the srcipt, forms and applets</li>
    </ol>
  </blockquote>
</blockquote>

<hr>

<h3><a name="s4">How do send Mail?</a></h3>

<p>Once you have logged in to ||product|| correctly, you will be presented with a menubar will
be displayed at the top of the screen. On this menubar is the button '<img border="0"
src="||nwimg||/new.gif" width="72" height="35">' pressing this will cause the following
screen to be displayed.</p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><form action method="POST">
      <h3>Create new message.</h3>
      <table>
        <tr>
          <td><table>
            <tr>
              <td align="right">To:</td>
              <td align="left"><input name="to" size="24" value> <input TYPE="RADIO" NAME="oo" VALUE="t"
              CHECKED></td>
            </tr>
            <tr>
              <td align="right">CC:</td>
              <td align="left"><input name="cc" size="24" value> <input TYPE="RADIO" NAME="oo" VALUE="c"></td>
            </tr>
            <tr>
              <td align="right">BCC:</td>
              <td align="left"><input name="bcc" size="24" value> <input TYPE="RADIO" NAME="oo"
              VALUE="b"></td>
            </tr>
            <tr>
              <td align="right">Reply-To:</td>
              <td align="left"><select name="reply" size="1">
                <option> lynden@1.2.3.4 </option>
                <option> lynden@4.3.2.1 </option>
              </select> <input TYPE="RADIO" NAME="oo" VALUE="r"></td>
            </tr>
            <tr>
              <td align="right">Attach:</td>
              <td align="left"><input type="file" name="attach" value size="24&quot;"></td>
            </tr>
          </table>
          </td>
          <td>Pick List (and Distribution List)<br>
          <img border="0" src="||nwimg||/clear.gif" alt="Clear" width="72" height="35"> <img border="0"
          src="||nwimg||/addrsbk.gif" alt="Address Book" name="Display Address" width="72" height="35"><br>
          <select name="tolist" size="5" onChange="setto(this)">
            <option>(none)</option>
            <option value>lynden@1.2.3.4</option>
            <option value>ralph@1.2.3.4</option>
            <option value="work">work</option>
          </select> </td>
        </tr>
      </table>
      <table>
        <tr>
          <td>Subject: <input name="subject" size="66" value> </td>
          <td rowspan="2"><input type="image" border="0" src="||nwimg||/send.gif" name="send"
          width="72" height="35"> </td>
        </tr>
        <tr>
          <td>Enter your message text here: (press enter at the end of each line) <input
          type="image" border="0" src="||nwimg||/spellchk.gif" name="spell_check" width="72"
          height="35"> </td>
        </tr>
      </table>
      <table>
        <tr>
          <td><textarea name="message" cols="64" rows="12" wrap="physical"></textarea><br>
          </td>
          <td><input type="image" border="0" src="||nwimg||/draft.gif" name="save_draft" width="72"
          height="35"><br>
          <select name="dstfld" size="1">
            <option>Drafts</option>
            <option value="Sent">Sent</option>
            <option value="Trash_Can">Trash_Can</option>
          </select> </td>
        </tr>
      </table>
      <hr>
      <table>
        <tr>
          <td><input type="image" border="0" src="||nwimg||/send.gif" name="send" width="72"
          height="35"><br>
          </td>
          <td align="right">Content-type: </td>
          <td><select name="content_type" size="1">
            <option selected></option>
            <option>text/html</option>
            <option>text/plain; charset=&quot;iso-8859-1&quot;</option>
            <option>text/plain; charset=&quot;iso-2022-jp&quot;</option>
          </select> </td>
        </tr>
        <tr>
          <td><input type="checkbox" name="addsig" value="on"> Add Sig file </td>
          <td align="right">Attach 2: </td>
          <td align="left"><input type="file" name="attach" value size="24&quot;"> </td>
        </tr>
        <tr>
          <td><input type="checkbox" name="send_autocc" value="on"> Send CC to self for confirmation
          </td>
          <td align="right">Attach 3: </td>
          <td align="left"><input type="file" name="attach" value size="24&quot;"> </td>
        </tr>
        <tr>
          <td colspan="2"><input type="checkbox" name="copyself" value="on"> Save a copy in copies
          to self folder </td>
        </tr>
      </table>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p>This screen will allow you to enter the E-Mail deatils and then send the E-Mail.</p>

<blockquote>
  <blockquote>
    <table>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>E-Mail Recipients (</strong></td>
            <td><strong>To, Cc and Bcc</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">There are three ways a person can receive an E-Mail depending on which
        field you enter their E-Mail address. </p>
        <div align="center"><center><table width="75%">
          <tr>
            <td><ul>
              <li>The 'To' field is who will receive this E-Mail message</li>
            </ul>
            </td>
          </tr>
          <tr>
            <td><ul>
              <li>'Cc' stands for carbon copy and these E-Mail address receive a copy of this E-Mail, the
                recipients do see who gets sent a carbin copy. </li>
            </ul>
            </td>
          </tr>
          <tr>
            <td><ul>
              <li>'Bcc' is Blind Carbon Copy, which is very simular to 'Cc' expect that the recipients do
                not get told who gets a Blind Carbon Copy.</li>
            </ul>
            </td>
          </tr>
        </table>
        </center></div><p>You can enter an E-Mail, distribution label or an address book nick
        name. The distribution label and address book nick names are expanded out before they get
        sent.</p>
        <div align="center"><center><table width="75%">
          <tr>
            <td>ie. If you entered: </td>
          </tr>
          <tr>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="mailto:Lynden@1.2.3.4">Lynden@1.2.3.4</a>,
            ralph, work_people </td>
          </tr>
          <tr>
            <td>Into any of the three fields were, ralph is an address nick name for <a
            href="mailto:'ralph@1.2.3.4">'ralph@1.2.3.4</a>' and&nbsp;work_people is a a distribution
            label for '<a href="mailto:lynden@4.3.2.1">lynden@4.3.2.1</a>,<a
            href="mailto:john@4.3.2.1">john@4.3.2.1</a>' then the finial field will be: </td>
          </tr>
          <tr>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="mailto:Lynden@1.2.3.4">Lynden@1.2.3.4</a>,
            <a href="mailto:'ralph@1.2.3.4">ralph@1.2.3.4</a>, <a href="mailto:lynden@4.3.2.1">lynden@4.3.2.1</a>,<a
            href="mailto:john@4.3.2.1">john@4.3.2.1</a> </td>
          </tr>
        </table>
        </center></div></td>
      </tr>
    </table>
    <table>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Reply Address (</strong></td>
            <td><strong>Reply-To</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This is the address that people will reply any response to this E-Mail
        message to.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Subject (</strong></td>
            <td><strong>Subject</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This is the subject line of the message. This is suppose to give an
        indication about what the E-Mail is about so that the recipients can determine if they
        wish to read the E-Mail or not.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Attachments (</strong></td>
            <td><strong>Attach</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">You are allowed to attach any file to your E-Mail. Some admins have
        limited the size of E-Mails that can be sent and you should talk to your admin about this.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Clear (</strong></td>
            <td><strong><img border="0" src="||nwimg||/clear.gif" alt="Clear" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This button will clear the last selected 'To, Cc or Bcc' field.
        Removing all the addresses typed in.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Address Book (</strong></td>
            <td><strong><img border="0" src="||nwimg||/addrsbk.gif" alt="Address Book"
            name="Display Address" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This button will popup the quick address book. Allowing you to select
        people from your address book, to enter directly into the 'To, Cc or Bcc' fields. For more
        details on the address book and the look of the popup address see <a href="#address_book">Address
        Book Management</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Pick List and<br>
            Distribution List (</strong></td>
            <td><form action method="post">
              <p><strong><select name="tolist" size="5" onChange="setto(this)">
                <option>(none)</option>
                <option value>lynden@1.2.3.4</option>
                <option value>ralph@1.2.3.4</option>
                <option value="work">work</option>
              </select></strong></p>
            </form>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This lists the most commonly user 30 E-Mail address and also the users
        distribution list. Clicking on an item in this list will copy the address to the selected
        'To, Cc or Bcc' field. This allows quick selection of who should receive this E-Mail.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Check Spelling (</strong></td>
            <td><strong><img border="0" src="||nwimg||/spellchk.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This will take you to the spell checking that is available in ||product||.
        Allowing you to change misspelt words or add new words to your user dictionary.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Save Draft (</strong></td>
            <td><strong><img border="0" src="||nwimg||/draft.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">E-Mails that you plan to use over and over again, or E-Mails that you
        do not have time to finish you can save. Saving the message as a draft will store the
        message on the Mail server until you are ready to send it. You need to select a folder to
        store the draft message in.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Sending Options (</strong></td>
            <td><form action method="post">
              <table>
                <tr>
                  <td><strong><input type="checkbox" name="addsig" value="on"> Add Sig file </strong></td>
                </tr>
                <tr>
                  <td><strong><input type="checkbox" name="send_autocc" value="on"> Send CC to self for
                  confirmation </strong></td>
                </tr>
                <tr>
                  <td><strong><input type="checkbox" name="copyself" value="on"> Save a copy in copies to
                  self folder </strong></td>
                </tr>
              </table>
            </form>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">These 3 check boxes you can select and will be remembered from session
        to session.</p>
        <ul>
          <li><p align="left">The first one 'Add Sig' will add your signature to the end of the body
            of E-Mail.</p>
          </li>
          <li><p align="left">'Send CC to Self' will also send a copy of the E-Mail to your E-Mail
            account so that you can see the E-Mail being sent.</p>
          </li>
          <li><p align="left">'Save to copies to self folder' This will save the E-Mail message to the
            copies to self folder the admin has setup.</p>
          </li>
        </ul>
        </td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Send E-Mail (</strong></td>
            <td><strong><img src="||nwimg||/send.gif" width="72" height="35"></strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">Once you have finish writting the E-Mail message you can press this
        button and the message will be sent.</td>
      </tr>
    </table>
  </blockquote>
</blockquote>

<hr>

<h3><a name="user_options">User Options?</a></h3>

<p>Pressing the button '<img border="0" src="||nwimg||/option.gif" width="72" height="35">'
pressing this will cause the following screen to be displayed.</p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><form method="POST" action>
      <h3>Configuration Options</h3>
      <table>
        <tr>
          <td align="right">Your Name</td>
          <td><input type="text" size="30" maxlength="256" name="_real_name" value></td>
        </tr>
        <tr>
          <td align="right"></td>
          <td>POP Diskuse 0 / bytes</td>
        </tr>
        <tr>
          <td align="right">Default reply address</td>
          <td><input type="text" size="30" maxlength="256" name="dflt_reply" value="lynden@1.2.3.4"></td>
        </tr>
        <tr>
          <td align="right">Auto refresh newmail screen</td>
          <td><input type="text" size="10" maxlength="256" name="_refresh" value> (seconds)</td>
        </tr>
        <tr>
          <td align="right">New mail sound file</td>
          <td><input type="text" size="14" maxlength="255" name="_sound_file" value> &lt; <select
          size="1" name="sound" onchange="do_copy(this)">
            <option></option>
            <option>||nwimg||/newmail1.wav</option>
            <option>||nwimg||/newmail2.wav</option>
            <option>||nwimg||/newmail3.wav</option>
            <option>file:///c|/winnt/media/chimes.wav</option>
          </select></td>
        </tr>
        <tr>
          <td></td>
          <td><input type="image" border="0" src="||nwimg||/save.gif" name="saveconfig" width="72"
          height="35"></td>
        </tr>
      </table>
      <table border="2">
        <tr>
          <th>Host</th>
          <th>Username</th>
          <th>Password(*)</th>
          <th>New Password</th>
          <th>IMAP Prefix</th>
        </tr>
        <tr>
          <td><b>1.2.3.4:143</b></td>
          <td><b>lynden</b></td>
          <td>&nbsp;</td>
          <td align="center"><input type="image" border="0" src="||nwimg||/change.gif" name="set_pass0"
          width="72" height="35"></td>
          <td><input type="text" size="10" maxlength="256" name="host_prefix0" value="mail/"></td>
        </tr>
        <tr>
          <td><input type="text" size="20" maxlength="256" name="host_name1" value="4.3.2.1:110"></td>
          <td><input type="text" size="10" maxlength="256" name="host_user1" value="lynden"></td>
          <td><input type="password" size="10" maxlength="256" name="host_pass1"></td>
          <td align="center"><input type="image" border="0" src="||nwimg||/change.gif" name="set_pass1"
          width="72" height="35"></td>
          <td><input type="text" size="10" maxlength="256" name="host_prefix1" value></td>
        </tr>
        <tr>
          <td><input type="text" size="20" maxlength="256" name="host_name2" value></td>
          <td><input type="text" size="10" maxlength="256" name="host_user2" value></td>
          <td><input type="password" size="10" maxlength="256" name="host_pass2"></td>
          <td align="center"><input type="image" border="0" src="||nwimg||/change.gif" name="set_pass2"
          width="72" height="35"></td>
          <td><input type="text" size="10" maxlength="256" name="host_prefix2" value></td>
        </tr>
        <tr>
          <td><input type="text" size="20" maxlength="256" name="host_name3" value></td>
          <td><input type="text" size="10" maxlength="256" name="host_user3" value></td>
          <td><input type="password" size="10" maxlength="256" name="host_pass3"></td>
          <td align="center"><input type="image" border="0" src="||nwimg||/change.gif" name="set_pass3"
          width="72" height="35"></td>
          <td><input type="text" size="10" maxlength="256" name="host_prefix3" value></td>
        </tr>
        <tr>
          <td><input type="text" size="20" maxlength="256" name="host_name4" value></td>
          <td><input type="text" size="10" maxlength="256" name="host_user4" value></td>
          <td><input type="password" size="10" maxlength="256" name="host_pass4"></td>
          <td align="center"><input type="image" border="0" src="||nwimg||/change.gif" name="set_pass4"
          width="72" height="35"></td>
          <td><input type="text" size="10" maxlength="256" name="host_prefix4" value></td>
        </tr>
      </table>
      <p>* When entering new hosts they are only saved if a password is supplied<br>
      To remove an entry delete just the username. </p>
      <h4>Signature File</h4>
      <p><textarea name="sig" rows="4" cols="75"></textarea> </p>
      <h4>New Mail Filtering Rules</h4>
      <table border="2">
        <tr>
          <th width>If Header</th>
          <th>Contains </th>
          <th>Action</th>
          <th align="left">Dest Folder</th>
          <th>Dest Address</th>
          <th>Case</th>
        </tr>
        <tr>
          <td><select name="r_header1" size="1">
            <option>(No Rule)</option>
            <option>From</option>
            <option>Subject</option>
            <option>To</option>
            <option>Cc</option>
            <option>Reply-to</option>
          </select> </td>
          <td><input type="text" size="10" maxlength="256" name="r_contains1" value></td>
          <td><select name="r_action1" size="1">
            <option>(No action)</option>
            <option>Move</option>
            <option>Copy</option>
            <option>Forward</option>
            <option>Forward (Del)</option>
            <option>Delete</option>
          </select></td>
          <td><select name="r_dstfld1" size="1">
            <option>Drafts</option>
            <option value="Sent">Sent</option>
            <option value="Trash_Can">Trash_Can</option>
          </select></td>
          <td><input type="text" size="20" maxlength="256" name="r_addr1" value></td>
          <td><input type="checkbox" name="r_iscase1" value="on"></td>
        </tr>
        <tr>
          <td><select name="r_header2" size="1">
            <option>(No Rule)</option>
            <option>From</option>
            <option>Subject</option>
            <option>To</option>
            <option>Cc</option>
            <option>Reply-to</option>
          </select> </td>
          <td><input type="text" size="10" maxlength="256" name="r_contains2" value></td>
          <td><select name="r_action2" size="1">
            <option>(No action)</option>
            <option>Move</option>
            <option>Copy</option>
            <option>Forward</option>
            <option>Forward (Del)</option>
            <option>Delete</option>
          </select></td>
          <td><select name="r_dstfld2" size="1">
            <option>Drafts</option>
            <option value="Sent">Sent</option>
            <option value="Trash_Can">Trash_Can</option>
          </select></td>
          <td><input type="text" size="20" maxlength="256" name="r_addr2" value></td>
          <td><input type="checkbox" name="r_iscase2" value="on"></td>
        </tr>
        <tr>
          <td><select name="r_header3" size="1">
            <option>(No Rule)</option>
            <option>From</option>
            <option>Subject</option>
            <option>To</option>
            <option>Cc</option>
            <option>Reply-to</option>
          </select> </td>
          <td><input type="text" size="10" maxlength="256" name="r_contains3" value></td>
          <td><select name="r_action3" size="1">
            <option>(No action)</option>
            <option>Move</option>
            <option>Copy</option>
            <option>Forward</option>
            <option>Forward (Del)</option>
            <option>Delete</option>
          </select></td>
          <td><select name="r_dstfld3" size="1">
            <option>Drafts</option>
            <option value="Sent">Sent</option>
            <option value="Trash_Can">Trash_Can</option>
          </select></td>
          <td><input type="text" size="20" maxlength="256" name="r_addr3" value></td>
          <td><input type="checkbox" name="r_iscase3" value="on"></td>
        </tr>
        <tr>
          <td><select name="r_header4" size="1">
            <option>(No Rule)</option>
            <option>From</option>
            <option>Subject</option>
            <option>To</option>
            <option>Cc</option>
            <option>Reply-to</option>
          </select> </td>
          <td><input type="text" size="10" maxlength="256" name="r_contains4" value></td>
          <td><select name="r_action4" size="1">
            <option>(No action)</option>
            <option>Move</option>
            <option>Copy</option>
            <option>Forward</option>
            <option>Forward (Del)</option>
            <option>Delete</option>
          </select></td>
          <td><select name="r_dstfld4" size="1">
            <option>Drafts</option>
            <option value="Sent">Sent</option>
            <option value="Trash_Can">Trash_Can</option>
          </select></td>
          <td><input type="text" size="20" maxlength="256" name="r_addr4" value></td>
          <td><input type="checkbox" name="r_iscase4" value="on"></td>
        </tr>
      </table>
      <p><br>
      <input type="image" border="0" src="||nwimg||/save.gif" name="saveconfig" width="72"
      height="35"> </p>
    </form>
    <form method="POST" action>
      <p><input type="submit" name="rebuild_indexes" value="Rebuild Message Indexes"> </p>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p>The above screen displays all the user options that you can setup. Allowing you to
setup your Real Name, Signature, Multi-Host and Mail Filtering Rules. This screen could
vary from one displayed above.</p>

<blockquote>
  <blockquote>
    <table>
      <tr>
        <td><table>
          <tr>
            <td><strong>Multi-Hosts (</strong></td>
            <td><table border="1">
              <tr>
                <th><strong>Host</strong></th>
                <th><strong>Username</strong></th>
                <th><strong>Password(*)</strong></th>
                <th><strong>New Password</strong></th>
                <th><strong>IMAP Prefix</strong></th>
              </tr>
            </table>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">||product|| allows the users to setup multiple IMAP/POP servers by
        entering the Host, username and passwords.<br>
        The IMAP prefix is used only with IMAP servers. This is used to deteremine where abouts
        the Email is stored on the IMAP server within the users home directory. Consult your
        computer services deparment about this setting.<br>
        The first line in this table is the default setting and normally does not changed at all.
        This is setup by the administractor of the system.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Save Options (</strong></td>
            <td><form action method="post">
              <p><strong><input type="image" border="0" src="||nwimg||/save.gif" name="saveconfig"
              width="72" height="35"></strong></p>
            </form>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This saves the user options.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>E-Mail Filter (</strong></td>
            <td><table border="1">
              <tr>
                <th><strong>If Header</strong></th>
                <th><strong>Contains </strong></th>
                <th><strong>Action</strong></th>
                <th align="left"><strong>Dest Folder</strong></th>
                <th><strong>Dest Address</strong></th>
                <th><strong>Case</strong></th>
              </tr>
            </table>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
    <table>
      <tr>
        <td><p align="left">These are E-Mail filters that only work on E-Mails in your INBOX. When
        every you check the INBOX every message that has not been filtered before will be check
        against these filtering rules. Allowing you to more, copy or delete E-Mail to other
        folders.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Rebuild Message Indexes (</strong></td>
            <td><form action method="post">
              <p><strong><input type="submit" name="rebuild_indexes" value="Rebuild Message Indexes"></strong></p>
            </form>
            </td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This rebuilds the POP folders indexes. (normally not required at all).</td>
      </tr>
    </table>
  </blockquote>
</blockquote>

<hr>

<h3><a name="folder_management">Folder Management?</a></h3>

<p>Pressing the button '<img border="0" src="||nwimg||/fldrs.gif" width="72" height="35">'
pressing this will cause the following screen to be displayed. </p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><form method="post" action>
      <h3>Manage folders </h3>
      <table>
        <tr>
          <td><select name="dstfld" size="7">
            <option>Drafts</option>
            <option value="Sent">Sent</option>
            <option value="Trash_Can">Trash_Can</option>
          </select> </td>
          <td><input type="image" border="0" src="||nwimg||/open.gif" name="switch" width="72"
          height="35"><br>
          <input type="image" border="0" src="||nwimg||/delete.gif" name="fld_delete" width="72"
          height="35"><br>
          <table>
            <tr>
              <td align="right"><input type="image" border="0" src="||nwimg||/create.gif" name="fld_create"
              width="72" height="35"><br>
              <input type="image" border="0" src="||nwimg||/rename.gif" name="fld_rename" width="72"
              height="35"></td>
              <td><input name="fld_name" size="24"></td>
            </tr>
          </table>
          <table border="1">
            <tr>
              <td><a target="_top" href>Return to mail list</a> </td>
            </tr>
          </table>
          </td>
        </tr>
      </table>
    </form>
    <div align="center"><center><table border="1" bgcolor="#ffffff">
      <tr>
        <th>Folder</th>
        <th>Msgs</th>
        <th>Size (k)</th>
        <th>Read</th>
        <th>Draft</th>
        <th>Deleted</th>
        <th>Reply</th>
      </tr>
      <tr>
        <td><a href>INBOX</a></td>
        <td align="center">4</td>
        <td align="center">6829 (6)</td>
        <td align="center">4</td>
        <td align="center">0</td>
        <td align="center">0</td>
        <td align="center">0</td>
      </tr>
      <tr>
        <td><a href>Trash_Can</a></td>
        <td align="center">588</td>
        <td align="center">401254 (401)</td>
        <td align="center">112</td>
        <td align="center">0</td>
        <td align="center">0</td>
        <td align="center">0</td>
      </tr>
      <tr>
        <td><a href>Sent</a></td>
        <td align="center">84</td>
        <td align="center">57322 (57)</td>
        <td align="center">16</td>
        <td align="center">0</td>
        <td align="center">0</td>
        <td align="center">0</td>
      </tr>
      <tr>
        <td><a href>Drafts</a></td>
        <td align="center">3</td>
        <td align="center">390 (0.39)</td>
        <td align="center">0</td>
        <td align="center">3</td>
        <td align="center">0</td>
        <td align="center">0</td>
      </tr>
    </table>
    </center></div></td>
  </tr>
</table>
</center></div>

<p>This screen allows you to change and maintain your Mail folders.</p>

<p>You can rename, create and delete folders. </p>

<p><strong>WARNING: </strong>When you delete folders it will also delete all the E-Mail
within the select folder as well.</p>

<p>The Folder List at the bottom of the screen display every folder and the number of
message, total size of all the E-Mails as well as some status on the number of E-Mails
that have been read, are drafts, marked for deletion and have been reply to.</p>

<p>Clicking on the folder name in this list will also take you directly to that folder.</p>

<hr>

<h3><a name="pick_list">Pick List Management?</a></h3>

<p>Pressing the button '<img border="0" src="||nwimg||/addrsbk.gif" width="72" height="35">'
pressing this will cause the following screen to be displayed on the top left of the
screen. </p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><form method="POST" action>
      <div align="center"><center><h2><b>Edit Pick List</b></h2>
      </center></div><div align="center"><center><p><input type="image" border="0"
      src="||nwimg||/save.gif" name="pick_save" width="72" height="35"> </p>
      </center></div><div align="center"><center><table>
        <tr>
          <td><textarea name="picklist" rows="8" cols="40">lynden@1.2.3.4
ralph@1.2.3.4</textarea></td>
        </tr>
        <tr>
          <td><input type="checkbox" name="autoadd" value="on"> Add addresses automatically</td>
        </tr>
      </table>
      </center></div>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p>This is the 30 most commonly used E-Mail address. When the check box name '<strong>Add
addresses automatically</strong>' is checked then any from address of an E-Mail that is
viewed or the To, Cc, and Bcc of any send E-Mail are also added automatically to this pick
list.<br>
You can manually change, remove or add new E-Mail address to this list and then press the
'<input type="image" border="0" src="||nwimg||/save.gif" name="pick_save" width="72"
height="35">' button.<br>
Also when you view any E-Mail their is also a button called '<img
src="||nwimg||/isaveadd.gif" width="72" height="35">' when press the From address of the
E-Mail is added to the pick list.</p>

<hr>

<h3><a name="dist_list">Distribution List Management?</a></h3>

<p>Pressing the button '<img border="0" src="||nwimg||/addrsbk.gif" width="72" height="35">'
pressing this will cause the following screen to be displayed on the top right of the
screen. </p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><form method="POST" action>
      <div align="center"><center><h2><b>Distribution List</b></h2>
      </center></div><div align="center"><center><p><input type="image" border="0"
      src="||nwimg||/save.gif" name="pick_save" width="72" height="35"> </p>
      </center></div><div align="center"><center><table>
        <tr>
          <td><textarea name="dist_list" rows="8" cols="40">work=john@1.2.3.4,lynden</textarea></td>
        </tr>
        <tr>
          <td><font size="-1">Example: Netwin=lynden, support-webimap@netwinsite.com</font></td>
        </tr>
      </table>
      </center></div>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p>This is the distribution list, where you can save time in retyping multiple E-Mail
address. If you have a group of people that you are continually sending E-Mail to you can
setup a label (ie <strong>work</strong>) where you just have to type this in instead of
everyones E-Mail address every single time. You are also allowed to associated address
book names in distribution lists.</p>

<p>The above example as setup <strong>'work'</strong> to be associated with '<a
href="mailto:john@1.2.3.4">john@1.2.3.4</a>' and <a href>lynden</a>. Where 'lynden' whould
be in an address book.</p>

<hr>

<h3><a name="address_book">Address Book Management?</a></h3>

<p>Pressing the button '<img border="0" src="||nwimg||/addrsbk.gif" width="72" height="35">'
pressing this will cause the following screen to be displayed on the bottom of the screen.
</p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><form method="post" action>
      <div align="center"><div align="center"><center><h2><b>Address Book(s)</b></h2>
      </center></div><div align="center"><center><table border="1" cellspacing="0"
      cellpadding="0" width="100%">
        <tr width="100%">
          <td valign="top" width="30%"><table cellspacing="0" cellpadding="0">
            <tr>
              <td><b>Edit Address Book</b></td>
            </tr>
            <tr>
              <td><input type="text" size="10" name="abook_edit" value="default"> <select size="1"
              name="addr_books" onchange="do_copy(this)">
                <option> default</option>
                <option value="test">test</option>
              </select></td>
            </tr>
            <tr>
              <td><input type="image" border="0" src="||nwimg||/reload.gif" name="edit_book" width="72"
              height="35"> <input type="image" border="0" src="||nwimg||/delete.gif" name="del_abook"
              width="72" height="35"> </td>
            </tr>
            <tr>
              <td><hr>
              </td>
            </tr>
            <tr>
              <td><b>Use Public address book</b></td>
            </tr>
            <tr>
              <td><input type="text" size="25" name="gaddr_books" value></td>
            </tr>
            <tr>
              <td>You only need to enter the User Name. eg. Lynden, Ralph</td>
            </tr>
            <tr>
              <td><input type="image" border="0" src="||nwimg||/save.gif" name="pick_save" width="72"
              height="35"></td>
            </tr>
            <tr>
              <td><b>Note:</b> Public Address Books are Named 'pub_xxxx'.</td>
            </tr>
          </table>
          </td>
          <td valign="top" width="70%"><table width="100%">
            <tr>
              <td><div align="center"><center><p><input type="image" border="0"
              src="||nwimg||/add_addr.gif" name="create_addr" width="72" height="35"></td>
            </tr>
            <tr align="center">
              <td><table bgcolor="#FFFFFF" width="100%" border="2" cellspacing="0" cellpadding="0">
<!-- Header -->
                <tr>
                  <th width="20%" nowrap>Nickname</th>
                  <th width="40%" nowrap>Email Address</th>
                  <th width="40%" nowrap>Full Name</th>
                </tr>
                <tr>
                  <td><a href>lynden</a></td>
                  <td>lynden@1.2.3.4</td>
                  <td>lynden</td>
                </tr>
              </table>
              </td>
            </tr>
          </table>
          </td>
        </tr>
      </table>
      </center></div></div>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p align="left">This screen display the E-Mails in the selected address book, in this case
the default address book. If you wish to change the detail of a signle entry, all you need
to do is click on the nickname and you will be display the users address book settings.</p>

<p align="left">When viewing an entry or when you add address you will see the following
screen:</p>
<div align="center"><center>

<table border="1">
  <tr>
    <td><form method="POST" action align="center">
      <div align="center"><center><h1><b>Address Book (default)</b></h1>
      </center></div><table width="100%" cellspacing="0" cellpadding="0">
        <tr valign="top">
          <td align="center"><table width="100%" border="1" cellspacing="0" cellpadding="0">
            <tr>
              <td><div align="center"><center><table cellspacing="0" cellpadding="0">
                <tr align="center">
                  <td><b>Edit Address Book</b></td>
                </tr>
                <tr align="center">
                  <td><input type="text" size="10" name="abook_edit" value="default"> <select size="1"
                  name="addr_books" onchange="do_copy(this)">
                    <option> default</option>
                    <option value="test">test</option>
                  </select></td>
                </tr>
                <tr align="center">
                  <td><input type="image" border="0" src="||nwimg||/delete.gif" name="del_abook" width="72"
                  height="35"> <input type="image" border="0" src="||nwimg||/reload.gif" name="edit_abook"
                  width="72" height="35"></td>
                </tr>
              </table>
              </center></div></td>
            </tr>
          </table>
          </td>
        </tr>
        <tr>
          <td><table>
            <tr>
              <td align="right">Nickname:</td>
              <td><input type="text" size="10" name="nick_name" value="lynden"> <input type="image"
              border="0" src="||nwimg||/add_addr.gif" name="add_addr" width="72" height="35"></td>
            </tr>
            <tr>
              <td></td>
              <td align="right"><input type="image" border="0" src="||nwimg||/delete.gif" name="del_addr"
              width="72" height="35"></td>
            </tr>
            <tr>
              <td align="right">Full Name:</td>
              <td><input type="text" size="25" name="abk_full_name" value="lynden"></td>
            </tr>
            <tr>
              <td align="right">EMail Address:</td>
              <td><input type="text" size="25" name="abk_email" value="lynden@1.2.3.4"></td>
            </tr>
            <tr>
              <td valign="top" align="right">Address:</td>
              <td><textarea name="abk_address" rows="4" cols="25"></textarea> </td>
            </tr>
          </table>
          </td>
        </tr>
      </table>
    </form>
    </td>
    <td valign="top"><form method="post" action>
      <table>
        <tr>
          <td valign="top" border="1" width="100%"><table bgcolor="#FFFFFF" width="100%" border="2"
          cellspacing="0" cellpadding="0">
<!-- Header -->
            <tr>
              <th nowrap>Nickname</th>
              <th nowrap>Email Address</th>
              <th nowrap>Full Name</th>
            </tr>
            <tr>
              <td><a href>lynden</a></td>
              <td>lynden@1.2.3.4</td>
              <td>lynden</td>
            </tr>
            <tr>
              <td><a href>ralph</a></td>
              <td>ralph@1.2.3.4</td>
              <td>ralph</td>
            </tr>
          </table>
          </td>
        </tr>
      </table>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p align="left">The above only allows to enter Fullname, EMail address and Address, but
the admin could added some fields. </p>

<p align="left">To add an user to the selected address book, all you do is enter the
details including the Nickname, which is the name that you will use instead of the E-Mail
address. Then press the '<input type="image" border="0" src="||nwimg||/add_addr.gif"
name="add_addr" width="72" height="35">' button to add to the address book.</p>

<p align="left">Each nickname must be unique. If the nickname already exists then the new
one will replace the old one. Clicking on the nickname on the right will load that users
details in to be displayed.</p>

<p align="left">The '<img border="0" src="||nwimg||/addrsbk.gif" width="72" height="35">'
button is also available in the creating an E-Mail screen. This makes the following to
come up in a popup window.</p>
<div align="center"><center>

<table border="1" width="50%">
  <tr>
    <td><form method="POST" action>
      <table width="100%" cellspacing="0" cellpadding="0">
        <tr valign="top">
          <td><b>Edit Address Book:</b> <select size="1" name="addr_books">
            <option> default</option>
            <option value="test">test</option>
          </select> <input type="image" border="0" src="||nwimg||/reload.gif" alt="reload"
          name="addr_only" width="72" height="35"></td>
        </tr>
        <tr>
          <td valign="top" border="1" width="100%"><table bgcolor="#FFFFFF" width="100%" border="2"
          cellspacing="0" cellpadding="0">
<!-- Header -->
            <tr>
              <th width="30%">Nickname</th>
              <th width="30%">Email Address</th>
              <th width="30%">Full Name</th>
            </tr>
            <tr>
              <td><a href>lynden</a></td>
              <td>lynden@1.2.3.4</td>
              <td>lynden</td>
            </tr>
            <tr>
              <td><a href>ralph</a></td>
              <td>ralph@1.2.3.4</td>
              <td>ralph</td>
            </tr>
          </table>
          </td>
        </tr>
      </table>
    </form>
    </td>
  </tr>
</table>
</center></div>

<p>Clicking on a nickname in this case will copy the nick name into the selected 'To, Cc
or Bcc' field. Allowing you to quickly located and select the nicknames from your address
book.</p>
</body>
</html>
