<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
	Administrators:
	WebMail's default configuration allows users to login to the default POP/IMAP server only.<br />

	If you want users to be able to login to other POP/IMAP servers then you need to put a setting like this in your ini file:<br />
		valid_host x,y,z<br />

	Where x,y,z is a comma separated list of the POP/IMAP servers you want to allow.<br />
	See the vanilla or iconic login.tpl for details.
-->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="Expires" content="-1" />

||just_include||logincss.tpl||

<title>||cust_title|| - Web Mail Client</title>
</head>

<body background="||cust_panel_background||" bgcolor="||cust_panel_bgcolor||" onload="window.focus();document.loginform.user.focus();">
<form action="||action||" method="post" name="loginform">
<input type="hidden" name="cmd" value="quick_login" />
<input type="hidden" name="tcode" value="||tcode||" />
<input type="hidden" name="force_connection" value="true" />
<input type="hidden" name="frames" value="true" />
<input type="hidden" name="email" value="||email||" />


<center>
<table>
<tr>
	<td class="webmail" valign="bottom"><font size="6" style="font-weight:bold;">||cust_display_name||</font></td>
	<td align="right" class="login" valign="bottom"><font size="4" style="font-weight:bold;">Login</font></td>
</tr>
<tr>
	<td colspan="2"><img src="||nwimg||/redline.gif" alt="" /></td>
</tr>
<tr>
	<td colspan="2" class="title"><font size="3" style="font-weight:bold;">Members:</font></td>
</tr>
<tr>
	<td align="center" colspan="2">
		<table width="350">
		<tr>
			<td nowrap="nowrap" colspan="2">
				<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td nowrap="nowrap"><font style="font-weight:bold;">User Name: </font></td>
					<td nowrap="nowrap"><input type="text" size="||ifdef||netscape_version||20||else||30||endif||" maxlength="256" name="user" tabindex="1" value="" />@||domain||</td>
				</tr>
				<tr>
					<td nowrap="nowrap"><font style="font-weight:bold;">Password: </font></td>
					<td nowrap="nowrap"><input type="password" size="||ifdef||netscape_version||20||else||30||endif||" maxlength="256" name="pass" tabindex="2" value="" /></td>
				</tr>
				</table>
			</td>
			<td align="center">
				||ifdef||netscape_version||
					<a href="javascript:document.loginform.submit();"><img src="||nwimg||/login.gif" alt="Login" border="0" /></a>
				||else||
					<input type="image" src="||nwimg||/login.gif" alt="Login" name="quick_login" tabindex="3" /><br />
				||endif||
				<font style="font-weight:bold;">Login</font>
			</td>
		</tr>
		<tr>
			<td nowrap="nowrap"><font style="font-weight:bold;">Template Set: </font></td>
			<td nowrap="nowrap">
				<select name="selected_tpl" size="1">
					<option value="">(default)</option>
					||begin_tpl||
						<option value="||tpl_number||">||tpl_text||</option>
					||end_tpl||
				</select>
			</td>
		</tr>
		||ifdef||authent_cookie||
		<tr>
			<td nowrap="nowrap"><font style="font-weight:bold;">Cookie Login: </font></td>
			<td nowrap="nowrap">
				<input type="checkbox" name="set_cookie" value="ON" />
			</td>
		</tr>
		||endif||
		</table>
	</td>
</tr>
||ifdef||netauth_url||
	<!--If you want users to be able to create new accounts automaticly (ie, a "HotMail" style system) then you
	should install NetAuth.  You can find out about NetAuth at: http://netwinsite.com/netauth/index.htm-->
	<tr>
		<td colspan="2"><img src="||nwimg||/redline.gif" alt="" /></td>
	</tr>
	<tr>
		<td colspan="2" class="title"><font size="3" style="font-weight:bold;">New Users:</font></td>
	</tr>
	<tr>
		<td align="center" colspan="2">To sign up for a ||my_display_name|| account click <a href="||netauth_url||"><font style="font-weight:bold;">here</font></a></td>
	</tr>
||endif||
<tr>
	<td colspan="2"><img src="||nwimg||/redline.gif" alt="" /></td>
</tr>
<tr>
	<td colspan="2" class="title"><font size="3" style="font-weight:bold;">Help:</font></td>
</tr>
<tr>
	<td colspan="2" width="400" align="center">
		<table>
		||ifdef||netauth_url||
			<tr><td colspan="2" nowrap="nowrap">Forgotten your password?  Click <a href="||netauth_url||"><font style="font-weight:bold;">here</font></a></td></tr>
		||endif||
		<tr>
			<td>
				<ul>
					<li><a href="||action||?page=help">||cust_display_name|| Users Guide</a></li>
					<li><a href="http://netwinsite.com/top_mail.htm">Other NetWin Products</a></li>
				</ul>
			</td>
		</tr>
		||ifdef||register||
			<tr>
				<td width="400">
					WebMail is currently running using a temporary licence.
					If you are the system administrator of this site and you wish
					to register this copy of ||cust_display_name|| then you should click here
					||register|| to enter order details.
				</td>
			</tr>
		||endif||
		</table>
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>
		<font style="font-weight:bold;">Administrators:</font><br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;To customise the appearance of ||cust_display_name|| <a href="||action||?cmd=custom">click here</a><br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;To access the user manager page <a href="||action||?cmd=manager">click here</a><br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;To tailor this page edit ||templates||/login.tpl
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>||copyright||</td>
</tr>
</table>
</center>

</form>
</body>
</html>
