<html>

<head>
<title>||product|| Users Guide</title>
</head>

<body>
<table border="0" cellpadding="0" cellspacing="0" rules="none">
<tr>
	<td>


<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td align="center"><font color="#FF0000" size="6">||product|| User's Manual</font></td>
  </tr>
</table>

<p>||product|| is a web-email gateway which allows you to read and process your email from a
web browser running on any machine with access to the internet ( or your intranet ). It is
a full featured email client package which provides facilities to read new mail, send and
forward messages, send and view attachments, use folders to organize your messages etc.</p>

<p>||product|| talks to a POP server but leaves your messages on the POP server so they can
still be seen by any normal POP email client. However you can delete or reply to your
messages or move them to ||product|| folders, in all these cases they will be removed from the
POP server as you would expect. </p>

<p>||product|| can also use IMAP protocol and talk to an IMAP server. In this case your
messages and folders are all stored on the IMAP server. You can thus see and manipulate
all the same email messages and folders you can access from any standard IMAP email
client, but from any web browser anywhere on the net. You can also swap backwards and
forwards between any other IMAP client and ||product||.</p>

<p><font color="#FF0000">Briefly . . .</font> </p>

<p><font color="#FF0000">To use ||product||, point your World Wide Web browser at the
appropriate </font><a href="http://netwinsite.com/dmailweb/nwgloss.htm#URL">URL</a> <font
color="#FF0000">such as:</font></p>

<blockquote>
  <blockquote>
    <p><font color="#FF0000">http://nice.co.nz/cgi-bin/webmail.cgi</font> </p>
  </blockquote>
</blockquote>

<p><font color="#FF0000">Then enter your Username and Password to login and process your
new mail. It's that simple but for more details read on...</font></p>

<hr>

<h2><a name="Manual Contents:"><font size="4">Manual Contents:</font></a> </h2>

<p>For quickly getting started...

<ol type="1" start="1">
  <li><a href="#s1">How Do I get my Mail?</a></li>
  <li><a href="#s2">How do I login?</a></li>
  <li><a href="#s3">How do I read mail?</a></li>
  <li><a href="#s4">How do I send mail?</a></li>
</ol>

<p>For more details...

<ol type="1" start="4">
  <li><a href="#user_options">User Options</a></li>
  <li><a href="#folder_management">Folder Management</a></li>
  <li><a href="#pick_list">Pick List Management</a></li>
  <li><a href="#dist_list">Distribution List Management</a></li>
  <li><a href="#address_book">Address Book Management</a></li>
</ol>

<p>This User Manual guides you through the various pages of ||product||, noting the functions
of all of the Buttons, <a href="http://netwinsite.com/dmailweb/nwgloss.htm#hyperlink">Links</a>,
Check Boxes and Text Fields. For new users there is also a glossary of terms. Words or
acronyms which have a glossary entry are shown thus <a
href="http://netwinsite.com/dmailweb/nwgloss.htm#URL">URL</a><font color="#00FF00">* </font>clicking
on them will take you to the relevant glossary entry.</p>

<hr>

<h3><a name="s1">How can I get my Mail?</a></h3>

<p>Here is the instant three step guide...</p>

<table border="0">
  <tr>
    <td valign="top" width="10%">1.</td>
    <td valign="top" width="60%">Start your web browser&nbsp;</td>
    <td valign="top">- e.g. Netscape, Internet Explorer etc.</td>
  </tr>
  <tr>
    <td valign="top" width="10%">2.</td>
    <td valign="top" width="60%">Point it at the ||product|| page</td>
    <td valign="top">- your Internet Service Provider (ISP) or Computer Department will have
    told you the URL to use, e.g. <a
    href="../../dnewsweb/manuals/this%20one%20is%20made%20up!!!!!!">http://nice.co.com/cgi-bin/||product||.cgi</a>.</td>
  </tr>
  <tr>
    <td valign="top" width="10%">3.</td>
    <td valign="top" width="60%">Depending on how they have setup ||product|| you might see a
    login page if so enter your username and password<br>
    (then click the 'Login' button)</td>
    <td valign="top">- again you will probably have been given a username and password to use</td>
  </tr>
  <tr>
    <td valign="top" width="10%"></td>
    <td valign="top" width="60%">Bingo - you're at your Mail!</td>
    <td valign="top"></td>
  </tr>
</table>

<p>For more detailed information please read through the next few sections. </p>

<hr>

<h3><a name="s2">How do I login?</a></h3>

<p>Before you can use ||product|| you need to login. When you run ||product|| you will be
presented with the login page:</p>
<div align="center"><center>

<table>
  <tr>
    <td><table width="100%">
      <tr>
        <td nowrap><h2>||product|| - <em>Web Mail Client</em></h2></td>
      </tr>
    </table>
    <form action method="post" name="loginform">
	<input type=hidden name="force_connection" value="true">
      <input type="hidden" name="cmd" value="login"><table>
        <tr>
          <td><table border="0">
            <tr>
              <td>Enter Username:</td>
              <td><input type="text" size="30" maxlength="256" name="user"
              onBlur="document.loginform.pass.focus();"></td>
              <td></td>
              <td align="center" rowspan="3"><input type="submit" border="0" value="Login" name="login"> </td>
            </tr>
            <tr>
              <td>Enter Password:</td>
              <td><input type="password" size="30" maxlength="256" name="pass"></td>
              <td></td>
            </tr>
            <tr>
              <td><input type="checkbox" name="frames" value="ON" checked>Use Frames</td>
            </tr>
          </table>
          </td>
          <td><noscript> <i>Your browser either does not understand JavaScript or has JavaScript disabled.
          ||product|| can work without JavaScript but not all functions will be available.</i> </noscript></td>
        </tr>
      </table>
    </form>
    <hr>
    <h2>General Help</h2>
    <p>||product|| is a web based email system, it lets you read / delete / forward / file the new
    mail that is waiting on your local mail server, attachments can be viewed or downloaded,
    and new messages can be sent, including attachments. <ul>
      <li><a href="http://netwinsite.com/||product||/||product||_user.htm">||product|| Users Guide</a></li>
      <li><a href="http://netwinsite.com/top_mail.htm">Other Netwin Products</a></li>
    </ul>
    <p>If you are the system administrator of this site and you wish to register this copy of
    ||product|| then you should click here <a href="?cmd=register">||product|| v1.4s</a> to enter
    order details.</p>
    <p><font SIZE="-2"><a target="_top" href="http://netwinsite.com/top_mail.htm">||product||
    v1.4s Copyright  <i>Netwin </i>Ltd. </a></font></td>
  </tr>
</table>
</center></div>

<p>To login you must first supply a valid username and password. This username and
password should have been supplied to you by your computer service center or ISP.</p>

<p>The Login page may also contain a box in which you can enter the name of an email host
to connect to, this is optional. The ||product|| Administrator will have assigned a default
POP or IMAP server for use with ||product||. So, as a user, as long as you use the correct <a
href="http://netwinsite.com/dmailweb/nwgloss.htm#URL">URL</a><font color="#00FF00">*</font>
in your web browser then you'll automatically log in to the correct location. So you do
not have to enter anything in the 'Enter Host' box.</p>

<p>Once you have&nbsp; logged in, ||product|| will check the POP/IMAP server and will display
a list of&nbsp; messages that are available. You should see a screen something like this:</p>
<div align="center"><center>

<table border="0" cellpadding="0" cellspacing="0" rules="none">
<tr valign="top">
        <td><form name="yList" method="POST" action="/scripts/webmail.exe">
<input type=hidden name="utoken" value="john@161.29.2.43!3A110_2c0e600e5d186b260f00_0">
<input type=hidden name="force_connection" value="true">
<input type=hidden name="fld" value="INBOX">
<input type=hidden name="cmd" value="">

<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="reload_mail" value="Check"></td>
        <td>
                <select name="host_cur" size=1>
                <option value=0>john@161.29.2.43:110</option>
                </select>
        </td>
        <td><input type="submit" name="msg_new"         value="New"></td>
        <td><input type="submit" name="config"          value="Options"></td>
        <td><input type="submit" name="pick_edit"       value="Addresses"></td>
        <td><input type="submit" name="fld_manage"      value="Folders"></td>
        <td><input type="submit" value="Bulletins" name="bulletin"></td>
        <td width="100">
                                        </td>
</tr>
</table>
<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="empty"           value="Empty Trash"></td>
        <td><input type="submit" name="help"            value="Help"></td>
        <td><input type="submit" name="logout"          value="Logout"></td>
        <td><input type="button" name="enable" value="Popup" onclick="window.open('/scripts/webmail.exe?cmd=list&page=stub.tpl&utoken=john@161.29.2.43%3A110_2c0e600e5d186b260f00_0&&','POPUP','width=470,height=150,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no');"></td>
        <td width="400" align="right">
</form>
<form name="folderform" action="/scripts/webmail.exe">
                <input type="hidden" name="utoken" value="john@161.29.2.43!3A110_2c0e600e5d186b260f00_0">
                <input type="hidden" name="fld" value="New">
                <input type="hidden" name="cmd" value="switch">
                <noscript>
                        <input type="submit" value="Get Folder" name="switch">
                </noscript>
                <select name="dstfld" size="1" onchange="document.folderform.submit();">
                        <option>New</option>
<option value="Outbox">Outbox</option>
<option value="Trash">Trash</option>
                </select>&nbsp;folder
        </td>
</tr>
        </table>
</form>

</td><td>&nbsp;</td>
</tr>
<tr>
        <td>
                <form name="List" method="POST" action="/scripts/webmail.exe">
                <input type=hidden name="utoken" value="john@161.29.2.43!3A110_2c0e600e5d186b260f00_0">
                <input type=hidden name="fld" value="New">
                <input type=hidden name="checknew" value="checknew">
                <input type=hidden name="cmd" value="">




                <table width="100%">
                <tr>
                        <td>
                                <b>
                                                                        <em>john New 2 messages
                                                                                                 (POP)
                                                                </b>
                        </td>
                        <td><b>Page 1 of 1</b></td>
                        <td>
                                0 bytes of 1000000 bytes used
                        </td>
                </tr>
                <tr>
                        <td>
                                                                                                                                                </td>
                </tr>
                </table>

                </em>

                <table border="1" bgcolor="ffffff" cellspacing="0" cellpadding="0" width="100%">
                <tr>
                        <th>&nbsp;</th>
                        <th><a href="javascript:SelectAll();">Sel</a></th>
                                <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=subject:&sort_method=text&sort_reverse=true&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New&pos=1">Subject</a>&nbsp;</th>

                                <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=from:&sort_method=text&sort_reverse=true&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New&pos=1">From</a>&nbsp;</th>

                        <th>&nbsp;Fwd&nbsp;</th>
                                <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=date:&sort_method=date&sort_reverse=true&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New&pos=1">Date</a>&nbsp;</th>

                        <th>&nbsp;Time&nbsp;</th>

                        <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=h_bytes&sort_method=number&sort_reverse=false&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New&pos=1">Bytes</a>&nbsp;</th>
                                <th>&nbsp;Attach&nbsp;</th>





                                <tr bgcolor="#ffffff">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-984452467.001&pos=1&flag=read&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/iread1.gif"></a>
                                <img src="||nwimg||/iattach0.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-984452467.001&pos=1&flag=reply&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/ireply0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-984452467.001&pos=1&flag=delete&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-984452467.001&pos=1&flag=flagged&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_984452467.001" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen0.gif">
                                <a href="/scripts/webmail.exe?cmd=item-984452467.001&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&folder=INBOX" >(no subject)</a>
                        </td>
                        <td>"john"</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-984452467.001&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&folder=INBOX">Fwd</a></td>
                        <td>3/13/2001</td>
                        <td nowrap>3:00:58 am</td>
                        <td>703</td>
                        <td>0</td>


                                <tr bgcolor="#C0C0C0">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-984538929.000&pos=1&flag=read&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/iread1.gif"></a>
                                <img src="||nwimg||/iattach0.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-984538929.000&pos=1&flag=reply&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/ireply0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-984538929.000&pos=1&flag=delete&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-984538929.000&pos=1&flag=flagged&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_984538929.000" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen0.gif">
                                <a href="/scripts/webmail.exe?cmd=item-984538929.000&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&folder=INBOX" >timetest</a>
                        </td>
                        <td>"jackson"</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-984538929.000&utoken=john@161.29.2.43!3A110_2c0e600e5d186b260f00_0&folder=INBOX">Fwd</a></td>
                        <td>3/14/2001</td>
                        <td nowrap>3:01:51 am</td>
                        <td>724</td>
                        <td>0</td>
                                                                        <tr>
                        <td nowrap></td>
                        <td><input name="allbox" type="checkbox" value="Check All" onClick="CheckAll();"></td><td nowrap colspan=9><i>Select all</i></td>
                </tr>
                </table>

                <table border="2" width="100%" cellpadding="0" cellspacing="0">
                <tr>
                        <td><b>Selected Items</b></td>
                        <td>
                                <table width="100%">
                                <tr>
                                        <td align="center"><input type="submit" name="forwardsel" value="Forward"></td>
                                        <td align="center"><input type="submit" name="delsel" value="Delete"></td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table width="100%">
                                <tr>
                                        <td align="center"><input type="submit" value="Copy To" name="copysel"></td>
                                        <td align="center"><input type="submit" value="Move To" name="movesel"></td>
                                        <td align="center">
                                                <select name="dstfld" size="1">
                                                        <option>Outbox</option>
<option value="Trash">Trash</option>
                                                </select>
                                        </td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>

<p>

                <table border="4" width="100%" cellpadding="0">
                <tr valign="middle">
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/iread0.gif"></td>
                                        <td>/</td>
                                        <td><img src="||nwimg||/iread1.gif"></td>
                                        <td>&nbsp; = unread/read</td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/iunseen1.gif"></td>
                                        <td>&nbsp; = new</td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img vspace="0" src="||nwimg||/iattach1.gif"></td>
                                        <td> = attachment</td>
                                </tr>
                                </table>
                        </td>
                                <td>
                                        <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                        <tr>
                                                <td><img src="||nwimg||/ireply1.gif"></td>
                                                <td>&nbsp; = replied</td>
                                        </tr>
                                        </table>
                                </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/idelete1.gif"></td>
                                        <td>&nbsp; = Deleted</td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/iflag1.gif"></td>
                                        <td>&nbsp; = Filtered</td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>
                </form>


                                        Please Note: You did not Logout from last session.

                 <FONT SIZE=-2>
<a target="_top" href="http://netwinsite.com/ref.htm"> WebMail v2.0s Copyright &copy; <I>NetWin Ltd</I>
 </a></FONT>

                        </td>
</tr>
</table>


</center></div>

<p><a target="_top" href="http://netwinsite.com/top_mail.htm"></a>The screen is divided
into two portions, the Menubar and the email List Page. The Menubar contains buttons to
take you to other pages for setting up user options, creating messages etc. The menu
buttons are described briefly below:</p>

<p><strong>Menubar</strong></p>

<blockquote>
  <blockquote>
    <div align="center"><center><table cellpadding="0" cellspacing="0">
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Check Mail</strong></td>
            <td><strong><input type="button" value="Check"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This button contacts the mail server and downloads any mail waiting there for you</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Selected Multi-Host </strong></td>
            <td><strong><select name="host_cur" size="1&quot;">
              <option value="1">test@1.2.3.4:110</option>
            </select></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This pull down Menubar displays the list of hosts you&nbsp; have been set up in the
        user options. Changing the selected server and then clicking on the INBOX button will take
        you to the INBOX of that host.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>New Message </strong></td>
            <td><strong><input type="button" value="New"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to the new message page which allows you to create and send a new
        email message.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>User Options </strong></td>
            <td><strong><input type="button" value="Options"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to the user options page. Allowing you to change your signature,
        add additional email hosts as well as changing other user options. For more details see <a
        href="#user_options">User Options</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Address Book </strong></td>
            <td><strong><input type="button" value="Addresses"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to the address book facilities available in ||product||. Also displayed
        here are the pick list and distribution lists. For more details see <a
        href="#address_book">Address Book Management</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Folder Management </strong></td>
            <td><strong><input type="button" value="Folders"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to folder management page, where&nbsp; you can delete, rename or
        create new folders. For more details see <a href="#folder_management">Folder Management</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Bulletins </strong></td>
            <td><strong><input type="button" value="Bulletins"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will take you to the bulletins page where you can see messages posted to the users by the admin</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Empty Trash </strong></td>
            <td><strong><input type="button" value="Empty Trash"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This button will empty the ||product|| trash. This will remove messages (from any folder)
        that has been marked as deleted. i.e. messages that have '<img border="0" img
        src="||nwimg||/idelete1.gif" width="12" height="12"> next to them.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Popup </strong></td>
            <td><strong><input type="button" value="Popup"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This will bring up a popup window&nbsp; with a list of new messages in it. It will
        check for new mail every 5 minutes. You can then use the main browser window to go to
        other web sites. While the popup window&nbsp; is open your ||product|| account will stay open.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Help </strong></td>
            <td><strong><input type="button" value="Check">Help</strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td>This button displays this help file.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Logout </strong></td>
            <td><strong><input type="button" value="Logout"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This will log your out of ||product||. If you do not cleanly logout of
        ||product|| then the message:<br>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        Please Note: You did not Logout from last session.<br>
        will be displayed the next time you login.</td>
      </tr>
    </table>
    </center></div>
  </blockquote>
</blockquote>

<p><strong>Email List</strong></p>

<p>When you first login you will be viewing your INBOX folder and will see a screen like
this:</p>

<table border="0" cellpadding="0" cellspacing="0" rules="none">
<tr valign="top">
        <td><form name="yList" method="POST" action="/scripts/webmail.exe">
<input type=hidden name="utoken" value="jackson@161.29.2.43!3A110_2d1064166f3228200f00_0">
<input type=hidden name="fld" value="INBOX">
<input type=hidden name="cmd" value="">

<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="reload_mail" value="Check"></td>
        <td>
                <select name="host_cur" size=1>
                <option value=0>jackson@161.29.2.43:110</option>
                </select>
        </td>
        <td><input type="submit" name="msg_new"         value="New"></td>
        <td><input type="submit" name="config"          value="Options"></td>
        <td><input type="submit" name="pick_edit"       value="Addresses"></td>
        <td><input type="submit" name="fld_manage"      value="Folders"></td>
        <td><input type="submit" value="Bulletins" name="bulletin"></td>
        <td width="100">
                                        <input type="submit" name="new_bulletin" value="New Bulletin">
                        </td>
</tr>
</table>
<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="empty"           value="Empty Trash"></td>
        <td><input type="submit" name="help"            value="Help"></td>
        <td><input type="submit" name="logout"          value="Logout"></td>
        <td><input type="button" name="enable" value="Popup" onclick="window.open('/scripts/webmail.exe?cmd=list&page=stub.tpl&utoken=jackson@161.29.2.43%3A110_2d1064166f3228200f00_0&&','POPUP','width=470,height=150,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no');"></td>
        <td width="400" align="right">
</form>
<form name="folderform" action="/scripts/webmail.exe">
                <input type="hidden" name="utoken" value="jackson@161.29.2.43!3A110_2d1064166f3228200f00_0">
                <input type="hidden" name="fld" value="New">
                <input type="hidden" name="cmd" value="switch">
                <noscript>
                        <input type="submit" value="Get Folder" name="switch">
                </noscript>
                <select name="dstfld" size="1" onchange="document.folderform.submit();">
                        <option>New</option>
<option value="Deleted Items">Deleted Items</option>
<option value="Outbox">Outbox</option>
<option value="Trash">Trash</option>
                </select>&nbsp;folder
        </td>
</tr>
        </table>
</form>

</td><td>&nbsp;</td>
</tr>
<tr>
        <td>
                <form name="List" method="POST" action="/scripts/webmail.exe">
                <input type=hidden name="utoken" value="jackson@161.29.2.43!3A110_2d1064166f3228200f00_0">
                <input type=hidden name="fld" value="New">
                <input type=hidden name="checknew" value="checknew">
                <input type=hidden name="cmd" value="">




                <table width="100%">
                <tr>
                        <td>
                                <b>
                                                                        <em>jackson New 6 messages
                                                                                                        5 new (POP)
                                                                </b>
                        </td>
                        <td><b>Page 1 of 1</b></td>
                        <td>
                                23704 bytes of 1000000 bytes used
                        </td>
                </tr>
                <tr>
                        <td>
                                                                                                                                                </td>
                </tr>
                </table>

                </em>

                <table border="1" bgcolor="ffffff" cellspacing="0" cellpadding="0" width="100%">
                <tr>
                        <th>&nbsp;</th>
                        <th><a href="javascript:SelectAll();">Sel</a></th>
                                <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=subject:&sort_method=text&sort_reverse=true&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New&pos=1">Subject</a>&nbsp;</th>

                                <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=from:&sort_method=text&sort_reverse=true&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New&pos=1">From</a>&nbsp;</th>

                        <th>&nbsp;Fwd&nbsp;</th>
                                <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=date:&sort_method=date&sort_reverse=true&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New&pos=1">Date</a>&nbsp;</th>

                        <th>&nbsp;Time&nbsp;</th>

                        <th>&nbsp;<a href="/scripts/webmail.exe?cmd=list&sort_on=h_bytes&sort_method=number&sort_reverse=false&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New&pos=1">Bytes</a>&nbsp;</th>
                                <th>&nbsp;Attach&nbsp;</th>





                                <tr bgcolor="#ffffff">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989271037.000&pos=1&flag=read&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iread1.gif"></a>
                                <img src="||nwimg||/iattach1.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-989271037.000&pos=1&flag=reply&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/ireply1.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989271037.000&pos=1&flag=delete&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989271037.000&pos=1&flag=flagged&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_989271037.000" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen0.gif">
                                <a href="/scripts/webmail.exe?cmd=item-989271037.000&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX" >(no subject)</a>
                        </td>
                        <td>"Nick on Lynn"</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-989271037.000&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX">Fwd</a></td>
                        <td>5/7/2001</td>
                        <td nowrap>9:20:23 pm</td>
                        <td>21520</td>
                        <td>1+</td>


                                <tr bgcolor="#C0C0C0">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287461.002&pos=1&flag=read&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iread0.gif"></a>
                                <img src="||nwimg||/iattach1.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287461.002&pos=1&flag=reply&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/ireply0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287461.002&pos=1&flag=delete&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287461.002&pos=1&flag=flagged&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_989287461.002" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen1.gif">
                                <a href="/scripts/webmail.exe?cmd=item-989287461.002&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX" >Mail status report</a>
                        </td>
                        <td>POSTMASTER@161.29.2.43</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-989287461.002&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX">Fwd</a></td>
                        <td>5/8/2001</td>
                        <td nowrap>2:04:03 am</td>
                        <td>1625</td>
                        <td>1+</td>


                                <tr bgcolor="#ffffff">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287535.003&pos=1&flag=read&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iread0.gif"></a>
                                <img src="||nwimg||/iattach1.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287535.003&pos=1&flag=reply&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/ireply0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287535.003&pos=1&flag=delete&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989287535.003&pos=1&flag=flagged&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_989287535.003" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen1.gif">
                                <a href="/scripts/webmail.exe?cmd=item-989287535.003&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX" >Mail status report</a>
                        </td>
                        <td>POSTMASTER@161.29.2.43</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-989287535.003&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX">Fwd</a></td>
                        <td>5/8/2001</td>
                        <td nowrap>2:04:55 am</td>
                        <td>2454</td>
                        <td>1+</td>


                                <tr bgcolor="#C0C0C0">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293218.004&pos=1&flag=read&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iread0.gif"></a>
                                <img src="||nwimg||/iattach1.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293218.004&pos=1&flag=reply&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/ireply0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293218.004&pos=1&flag=delete&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293218.004&pos=1&flag=flagged&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_989293218.004" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen1.gif">
                                <a href="/scripts/webmail.exe?cmd=item-989293218.004&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX" >Mail status report</a>
                        </td>
                        <td>POSTMASTER@161.29.2.43</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-989293218.004&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX">Fwd</a></td>
                        <td>5/8/2001</td>
                        <td nowrap>2:05:37 am</td>
                        <td>1620</td>
                        <td>1+</td>


                                <tr bgcolor="#ffffff">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.005&pos=1&flag=read&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iread0.gif"></a>
                                <img src="||nwimg||/iattach0.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.005&pos=1&flag=reply&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/ireply0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.005&pos=1&flag=delete&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.005&pos=1&flag=flagged&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_989293273.005" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen1.gif">
                                <a href="/scripts/webmail.exe?cmd=item-989293273.005&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX" >testing</a>
                        </td>
                        <td>"jackson"</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-989293273.005&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX">Fwd</a></td>
                        <td>5/8/2001</td>
                        <td nowrap>3:40:57 am</td>
                        <td>702</td>
                        <td>0</td>


                                <tr bgcolor="#C0C0C0">
                                        <td nowrap>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.006&pos=1&flag=read&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iread0.gif"></a>
                                <img src="||nwimg||/iattach0.gif">
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.006&pos=1&flag=reply&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/ireply0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.006&pos=1&flag=delete&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/idelete0.gif"></a>
                                <a href="/scripts/webmail.exe?cmd=itemflag-989293273.006&pos=1&flag=flagged&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&fld=New"><img border=0 src="||nwimg||/iflag0.gif"></a></td>

                        <td><input type=checkbox name="sel_989293273.006" value="on"></td>
                        <td nowrap>
                                <img src="||nwimg||/iunseen1.gif">
                                <a href="/scripts/webmail.exe?cmd=item-989293273.006&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX" >hello</a>
                        </td>
                        <td>"jackson"</td>
                        <td><a href="/scripts/webmail.exe?cmd=forward-989293273.006&utoken=jackson@161.29.2.43!3A110_2d1064166f3228200f00_0&folder=INBOX">Fwd</a></td>
                        <td>5/8/2001</td>
                        <td nowrap>3:41:10 am</td>
                        <td>702</td>
                        <td>0</td>
                                                                        <tr>
                        <td nowrap></td>
                        <td><input name="allbox" type="checkbox" value="Check All" onClick="CheckAll();"></td><td nowrap colspan=9><i>Select all</i></td>
                </tr>
                </table>

                <table border="2" width="100%" cellpadding="0" cellspacing="0">
                <tr>
                        <td><b>Selected Items</b></td>
                        <td>
                                <table width="100%">
                                <tr>
                                        <td align="center"><input type="submit" name="forwardsel" value="Forward"></td>
                                        <td align="center"><input type="submit" name="delsel" value="Delete"></td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table width="100%">
                                <tr>
                                        <td align="center"><input type="submit" value="Copy To" name="copysel"></td>
                                        <td align="center"><input type="submit" value="Move To" name="movesel"></td>
                                        <td align="center">
                                                <select name="dstfld" size="1">
                                                        <option>Deleted Items</option>
<option value="Outbox">Outbox</option>
<option value="Trash">Trash</option>
                                                </select>
                                        </td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>

<p>

                <table border="4" width="100%" cellpadding="0">
                <tr valign="middle">
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/iread0.gif"></td>
                                        <td>/</td>
                                        <td><img src="||nwimg||/iread1.gif"></td>
                                        <td>&nbsp; = unread/read</td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/iunseen1.gif"></td>
                                        <td>&nbsp; = new</td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img vspace="0" src="||nwimg||/iattach1.gif"></td>
                                        <td> = attachment</td>
                                </tr>
                                </table>
                        </td>
                                <td>
                                        <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                        <tr>
                                                <td><img src="||nwimg||/ireply1.gif"></td>
                                                <td>&nbsp; = replied</td>
                                        </tr>
                                        </table>
                                </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/idelete1.gif"></td>
                                        <td>&nbsp; = Deleted</td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table border="0" rules="none" cellspacing="0" cellpadding="0">
                                <tr>
                                        <td><img src="||nwimg||/iflag1.gif"></td>
                                        <td>&nbsp; = Filtered</td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>
                </form>


                                        Please Note: You did not Logout from last session.

                 <FONT SIZE=-2>
<a target="_top" href="http://netwinsite.com/ref.htm"> WebMail v2.0s Copyright &copy; <I>NetWin Ltd</I>
 </a></FONT>

                        </td>
</tr>
</table>

<p>The buttons have the following functions:</p>

<blockquote>
  <blockquote>
    <div align="center"><center><table>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td nowrap><strong>email </strong></td>
            <td><table boader>
              <tr>
                <td nowrap>
					<strong>
						<img border="0" src="||nwimg||/iread1.gif">
						<img img src="||nwimg||/iattach0.gif">
						<img border="0" img src="||nwimg||/ireply1.gif">
						<img border="0" img src="||nwimg||/idelete0.gif">
						<img border="0" img src="||nwimg||/iflag0.gif">
					</strong>
				</td>
                <td><strong><input type="checkbox" name="sel_28" value="on"></strong></td>
                <td nowrap><strong><a href>***Welcome here to all</a> <img src="||nwimg||/iunseen1.gif"></strong></td>
                <td><strong>lynden@1.2.3.4 </strong></td>
                <td><strong><a href>Forward</a> </strong></td>
                <td><strong>11/30/99</strong></td>
                <td nowrap><strong>9:39:29 am </strong></td>
                <td><strong>179 </strong></td>
              </tr>
            </table>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This is a single email line. It shows the subject and sender of the
        email and icons representing status such as read/unread. Clicking on the subject of the
        email will display the entire email message. Clicking on&nbsp; forward will take you to
        the &quot;Forward&quot; page so you can forward the message to someone else.<br>
        The flag icons have the following meanings:</p>
        <div align="center"><center><table border="2">
          <tr>
            <td align="center"><img src="||nwimg||/iread0.gif"> (unread)</td>
            <td align="center"><img src="||nwimg||/iread1.gif"> (read)</td>
            <td align="center"><img src="||nwimg||/iunseen1.gif"> (new)</td>
            <td align="center"><img src="||nwimg||/iattach1.gif"> (attachments)</td>
            <td align="center"><img src="||nwimg||/ireply1.gif"> (replied)</td>
            <td align="center"><img src="||nwimg||/idelete1.gif"> (deleted)</td>
            <td align="center"><img src="||nwimg||/iflag1.gif"> (filtered)</td>
          </tr>
        </table>
        </center></div><p align="left">the last three flags you can click on to toggle their
        status. e.g. change from &nbsp; deleted to undeleted.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>&nbsp;<input type="button" value="Forward"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">The list of email messages that have been ticked will be forwarded.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>&nbsp;<input type="button" value="Delete"></strong></td>
            <td></td>
          </tr>
          <tr>
            <td>This will delete the selected messages, or flag them as deleted or move them to the
            trash can. Which of these three actions is taken depends on how the administrator has set
            up message deletion for ||product||.</td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong><input type="button" value="Copy To"></strong></td>
            <td></td>
            <td><strong><form action method="post">
              <p><select name="dstfld" size="1">
                <option>INBOX</option>
                <option selected value="Drafts">Drafts</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select></strong></p>
            </form>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">The selected messages will be copied to the chosen folder. You cannot
        copy&nbsp; messages to the&nbsp; INBOX.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong><input type="button" value="Move To"></strong></td>
            <td></td>
            <td><strong><form method="post" action>
              <p><select name="dstfld" size="1">
                <option>INBOX</option>
                <option selected value="Drafts">Drafts</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select></strong></p>
            </form>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">The selected messages will be moved to the chosen folder. You cannot
        move&nbsp; messages to the&nbsp; INBOX.</td>
      </tr>
    </table>
    </center></div>
  </blockquote>
</blockquote>

<hr>

<h3><a name="s3">How do you read Mail?</a></h3>

<p>In the Email List page above if you click on the subject of a message you will be shown
the full message on a page similar to the one shown below:</p>

<table>
  <tr align="center">
    <td><table border="1">
      <tr>
        <td><i>Prev message</i> </td>
        <td><a
        href="?cmd=item952997053.1&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Next</a>
        </td>
        <td><a
        href="?cmd=list&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Mail
        List</a></td>
        <td><a
        href="?cmd=delitem952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Delete</a></td>
        <td><a
        href="/email.mail?cmd=msg_save952997025&amp;folder=INBOX&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0/email.mail">Save</a></td>
        <td><a
        href="?cmd=msg_reply952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Reply</a></td>
        <td><a
        href="?cmd=msg_replyall952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Reply-All</a></td>
        <td><a
        href="?cmd=forward952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Forward</a></td>
        <td align="center">1 of 8</td>
        <td><img src="||nwimg||/iread1.gif" width="24" height="12"> <img src="||nwimg||/iattach0.gif" width="7"
        height="12"> <img src="||nwimg||/ireply0.gif" width="8" height="12"> <img img
        src="||nwimg||/idelete0.gif" width="20" height="16"> <img src="||nwimg||/iflag0.gif" width="15"
        height="17"></td>
      </tr>
    </table>
    <div align="center"><center><table border="1" width="70%" cellpadding="20" cellspacing="0">
      <tr>
        <td bgcolor="ffffff"><table border="0" width="100%">
          <tr>
            <td><form method="post" action>
              <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td align="right"><font size="2"><b>To:</b></font></td>
                  <td width="12" rowspan="7"></td>
                  <td><font size="2">pn@161.29.2.53</font></td>
                </tr>
                <tr>
                  <td align="right"><font size="2"><b>Subject:</b></font></td>
                  <td><font size="2">red</font></td>
                </tr>
                <tr>
                  <td align="right"><font size="2"><b>CC:</b></font></td>
                  <td></td>
                </tr>
                <tr>
                  <td align="right"><font size="2"><b>Date:</b></font></td>
                  <td><font size="2">Tue, 14 Mar 2000 14:23:39 +1200</font></td>
                </tr>
                <tr>
                  <td align="right"><font size="2"><b>Status:</b></font></td>
                  <td><font size="2">Normal</font></td>
                </tr>
                <tr>
                  <td align="right"><font size="2"><b>From:</b></font></td>
                  <td><font size="2">pn@161.29.2.53</font></td>
                </tr>
                <tr>
                  <td align="right"><font size="2"><b>Reply-to:</b></font></td>
                  <td><font size="2">pn@161.29.2.53</font></td>
                  <td><input type="button" value="Save Address"></td>
                </tr>
              </table>
            </form>
            </td>
          </tr>
          <tr>
            <td valign="top" align="right"><table border="1" celspacing="0" cellpadding="0">
            </table>
            </td>
          </tr>
          <tr>
            <td><font size="3"><pre>
--------------------------------------
   This email Was brought to you by
               ||product||
    A Netwin Web Based email Client
     <a
target="_blank" href="http://netwinsite.com/||product||/">http://netwinsite.com/||product||/</a>
</pre>
            </font></td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
    </center></div><div align="center"><center><table border="1">
      <tr>
        <td><i>Prev message</i> </td>
        <td><a
        href="?cmd=item952997053.1&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Next</a>
        </td>
        <td><a
        href="?cmd=list&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Mail
        List</a></td>
        <td><a
        href="?cmd=delitem952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Delete</a></td>
        <td><a
        href="/email.mail?cmd=msg_save952997025&amp;folder=INBOX&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0/email.mail">Save</a></td>
        <td><a
        href="?cmd=msg_reply952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Reply</a></td>
        <td><a
        href="?cmd=msg_replyall952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Reply-All</a></td>
        <td><a
        href="?cmd=forward952997025&amp;utoken=pn@161.29.2.53:110_043a3a4c5c126e1e0a00_0&amp;folder=INBOX">Forward</a></td>
      </tr>
    </table>
    </center></div><form method="post" action name="layout">
      <div align="center"><center><table>
        <tr>
          <td><table>
            <tr>
              <td><input type="button" value="Copy To"></td>
              <td><input type="button" value="Move To"></td>
              <td><select name="dstfld" size="1">
                <option>INBOX</option>
                <option value="Drafts">Drafts</option>
                <option value="fred_folder">fred_folder</option>
                <option value="Sent">Sent</option>
                <option value="Trash_Can">Trash_Can</option>
              </select></td>
            </tr>
          </table>
          </td>
        </tr>
        <tr>
          <td><table height="50">
            <tr>
              <td rowspan="2" height="46"><input type="button" value="Set View Style"></td>
              <td height="21"><input type="checkbox" name="v_headers" value="on">Show Headers</td>
              <td height="21"></td>
              <td height="21"><input type="checkbox" name="v_font" value="on">Variable width font</td>
              <td height="21"></td>
              <td height="21"><input type="checkbox" name="v_inline" value="on">Inline Images</td>
              <td height="21"></td>
            </tr>
            <tr>
              <td height="21"><input type="checkbox" name="v_exec" value="on">Enable HTML Scripts,
              Forms, Applets</td>
              <td height="21"></td>
              <td height="21"><input type="checkbox" name="v_show_alt" value="on">Show 'alternative'
              parts</td>
              <td height="21"></td>
              <td height="21"><input type="checkbox" name="v_raw" value="on">Raw</td>
              <td height="21"></td>
            </tr>
          </table>
          </td>
        </tr>
      </table>
      </center></div>
    </form>
    <hr>
    <p><a target="_top" href="http://netwinsite.com/top_mail.htm"><font SIZE="-2">||product||
    v1.4s Copyright  <i>netwin </i>Ltd. </font></a></td>
  </tr>
</table>

<p>A number of links are provided for moving to the previous or next message or returning
to the Mail List page. You can also delete or save the message to disk.&nbsp; You can also
reply to the message or forward it to someone else. The difference between reply and
reply-all is that the reply-all will send replies to all the addresses in the
&nbsp;&nbsp;&nbsp; To and Cc fields, while reply will only send the reply to the '<strong>Reply-To</strong>'
or '<strong>From</strong>' addresses.</p>

<p>You can also change the viewing options of this email selected. There are 5 options
available:</p>

<blockquote>
  <blockquote>
    <ol>
      <li><strong>Raw<br>
        </strong>This forces the body of the message to be display as it is is stored on the POP
        or IMAP server. </li>
      <li><strong>Show Headers<br>
        </strong>This forces the complete set headers of the email to be displayed<div
        align="center"><center><table border="1">
          <tr>
            <td>Return-Path: lynden@1.2.3.4<br>
            Received: from 1.2.3.4 ([1.2.3.4]) by 1.2.3.4; Fri, 17 Dec 1999 09:04:47 +1200<br>
            Sender: lynden@1.2.3.4<br>
            From: lynden@1.2.3.4<br>
            Reply-to: lynden@1.2.3.4<br>
            To: lynden@1.2.3.4<br>
            Subject: Testing New Mail.<br>
            X-Mailer: ||product|| to Mail Gateway v1.4o<br>
            Date: Fri, 17 Dec 1999 09:04:46 +1200<br>
            Message-id: &lt;385945de.ba.41@1.2.3.4&gt;<br>
            X-Rcpt-To: &lt;lynden@1.2.3.4&gt;;</td>
          </tr>
        </table>
        </center></div></li>
      <li><strong>Variable width font<br>
        </strong>This will display the body of the message in a variable width font instead of a
        fixed width font.</li>
      <li><strong>Inline Images<br>
        </strong>This will tell ||product|| to try and display any images and html contained in the
        email.</li>
      <li><strong>Enable Attach HTML, Scripts, Forms and Applets<br>
        </strong>When viewing HTML inline, ||product|| for security reasons,&nbsp; removes scripts,
        forms and applets. Checking this box will leave these with the HTML. This setting unlike
        the others will not be saved and you need to check this each time you want to see the
        scripts, forms and applets</li>
    </ol>
  </blockquote>
</blockquote>

<hr>

<h3><a name="s4">How do I send Mail?</a></h3>

<p>To create a new message to send to someone you press the &quot;New Message&quot; menu button which will
display the following page:</p>

<table border="0" cellpadding="0" cellspacing="0" rules="none">
<tr valign="top">
        <td><form name="yList" method="POST" action="/scripts/webmail.exe">
<input type=hidden name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
<input type=hidden name="fld" value="INBOX">
<input type=hidden name="cmd" value="">

<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="reload_mail" value="Check"></td>
        <td>
                <select name="host_cur" size=1>
                <option value=0>john@161.29.2.43:110</option>
                </select>
        </td>
        <td><input type="submit" name="msg_new"         value="New"></td>
        <td><input type="submit" name="config"          value="Options"></td>
        <td><input type="submit" name="pick_edit"       value="Addresses"></td>
        <td><input type="submit" name="fld_manage"      value="Folders"></td>
        <td><input type="submit" value="Bulletins" name="bulletin"></td>
        <td width="100">
                                        </td>
</tr>
</table>
<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="empty"           value="Empty Trash"></td>
        <td><input type="submit" name="help"            value="Help"></td>
        <td><input type="submit" name="logout"          value="Logout"></td>
        <td><input type="button" name="enable" value="Popup" onclick="window.open('/scripts/webmail.exe?cmd=list&page=stub.tpl&utoken=john@161.29.2.43%3A110_2d1064166f3428250d00_0&&','POPUP','width=470,height=150,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no');"></td>
        <td width="400" align="right">
</form>
<form name="folderform" action="/scripts/webmail.exe">
                <input type="hidden" name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
                <input type="hidden" name="fld" value="New">
                <input type="hidden" name="cmd" value="switch">
                <noscript>
                        <input type="submit" value="Get Folder" name="switch">
                </noscript>
                <select name="dstfld" size="1" onchange="document.folderform.submit();">
                        <option>New</option>
<option value="Outbox">Outbox</option>
<option value="Trash">Trash</option>
                </select>&nbsp;folder
        </td>
</tr>
        </table>
</form>

</td><td>&nbsp;</td>
</tr>
<tr>
        <td>



                <form name="sendform" ENCTYPE="multipart/form-data" method=post action="/scripts/webmail.exe">
                <input type=hidden name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0" >
                <input type=hidden name="cmd" value="" >
                <table border="0" >
                <tr>
                        <td>
                                <table border="0">
                                <tr>
                                        <td align=right>To:</td>
                                        <td align=left>
                                                <input name="to" size=24 value="" onFocus="document.sendform.oo[0].checked = true">
                                                <INPUT TYPE=RADIO NAME="oo" VALUE="t" CHECKED>
                                        </td>
                                </tr>
                                <tr>
                                        <td align=right>CC:</td>
                                        <td align=left>
                                                <input name="cc" size=24 value="" onFocus="document.sendform.oo[1].checked = true">
                                                <INPUT TYPE=RADIO NAME="oo" VALUE="c">
                                        </td>
                                </tr>
                                <tr>
                                        <td align=right>BCC:</td>
                                        <td align=left>
                                                <input name="bcc" size=24 value="" onFocus="document.sendform.oo[2].checked = true">
                                                <INPUT TYPE=RADIO NAME="oo" VALUE="b">
                                        </td>
                                </tr>
                                <tr>
                                        <td align=right>Reply-To:</td>
                                        <td align=left>
                                                <input name="reply" size=24 value="john@161.29.2.43" onFocus="document.sendform.oo[3].checked = true">
                                                <INPUT TYPE=RADIO NAME="oo" VALUE="r">
                                        </td>
                                </tr>
                                <tr>
                                        <td align=right>Attach:</td>
                                        <td align=left><input type=file name="attach" value="" size=24></td>
                                </tr>
                                </table>
                        </td>
                        <td>
                                <table border="0">
                                <tr>
                                        <td><input type="button" value="Clear" name="clearfield" onclick="dele();"></td>
                                        <td><input type="button" value="Address Book" name="Display Address" onclick="newwindow()"></td>
                                </tr>
                                <tr>
                                        <td>
                                                <select name="tolist" size=5 onChange="setto(this)">
                                                        <option>
(none)</option>
                                                </select>
                                        </td>
                                        <td width="100" >Click entries to add them to the selected field</td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>

                Subject: <input name="subject" size=66 value=""><br>
                Enter your message text here: (press enter at the end of each line)


                <table>
                <tr>
                        <td><textarea name="message" cols=64 rows=12 wrap="physical"></textarea></td>
                        <td>
                                <table height="80%">
                                <tr>
                                        <td><input type="submit" name="send" value="Send Now"></td>
                                </tr>
                                <tr>
                                        <td><input type="submit" name="spell_check" value="Check Spelling"></td>
                                </tr>
                                <tr>
                                        <td>
                                                <input type="submit" name="save_draft" value="Save Draft"><br>
                                                <select name="dstfld" size="1">
                                                        <option>Outbox</option>
<option value="Trash">Trash</option>
                                                </select>
                                        </td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>

                <hr>
                <table>
                <tr>
                        <td>
                                <input type=checkbox name="addsig" value="on" > Add Sig file
                                <select name="_default_profile" size=1">
                                                                </select>
                        </td>
                        <td align=right>Content-type: </td>
                        <td>
                                <select name="content_type" size="1">
                                        <option selected></option>
                                        <option>text/html</option>
                                        <option>text/plain; charset="iso-8859-1"</option>
                                        <option>text/plain; charset="iso-2022-jp"</option>
                                </select>
                        </td>
                </tr>
            <tr>
                        <td><input type=checkbox name="send_autocc" value="on" > Send CC to self for confirmation</td>
                        <td align=right>Attach 2: </td>
                        <td align=left><input type=file name="attach" value="" size=24></td>
                </tr>
            <tr>
                        <td><input type=checkbox name="copyself" value="on" > Save a copy in copies to self folder</td>
                        <td align=right>Attach 3: </td>
                        <td align=left><input type=file name="attach" value="" size=24></td>
                </tr>
                </table>
                </form>

                 <FONT SIZE=-2>
<a target="_top" href="http://netwinsite.com/ref.htm"> WebMail v2.0s Copyright &copy; <I>NetWin Ltd</I>
 </a></FONT>
        </td>
</tr>
</table>


<p>This screen will allow you to enter the address details, the message to send and then
actually send the email.</p>

<blockquote>
  <blockquote>
    <table>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>email Recipients (</strong></td>
            <td><strong>To, Cc and Bcc</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">There are three fields in which you can enter addresses. You can use
        email addresses, distribution list names or nicknames in these fields.</p>
        <div align="center"><center><table width="75%">
          <tr>
            <td><ul>
              <li>The 'To' field is who will receive this email message</li>
            </ul>
            </td>
          </tr>
          <tr>
            <td><ul>
              <li>'Cc' stands for carbon copy and these email address receive a copy of this email, the
                recipients do see who gets sent a carbon copy. </li>
            </ul>
            </td>
          </tr>
          <tr>
            <td><ul>
              <li>'Bcc' is Blind Carbon Copy, which is very similar to 'Cc' expect that the recipients do
                not get told who gets a Blind Carbon Copy.</li>
            </ul>
            </td>
          </tr>
        </table>
        </center></div><p>The distribution list or&nbsp; address book nick names used in these
        fields are expanded out before the message is sent.</p>
        <div align="center"><center><table width="75%">
          <tr>
            <td>i.e. If you entered: </td>
          </tr>
          <tr>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="mailto:Lynden@1.2.3.4">Lynden@1.2.3.4</a>,
            Ralph, work_people </td>
          </tr>
          <tr>
            <td>Into any of the three fields where, Ralph is an address nick name for <a
            href="mailto:'ralph@1.2.3.4">'ralph@1.2.3.4</a>' and&nbsp;work_people is a a distribution
            label for '<a href="mailto:lynden@4.3.2.1">lynden@4.3.2.1</a>,<a
            href="mailto:john@4.3.2.1">john@4.3.2.1</a>' then the finial field will be: </td>
          </tr>
          <tr>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="mailto:Lynden@1.2.3.4">Lynden@1.2.3.4</a>,
            <a href="mailto:'ralph@1.2.3.4">ralph@1.2.3.4</a>, <a href="mailto:lynden@4.3.2.1">lynden@4.3.2.1</a>,<a
            href="mailto:john@4.3.2.1">john@4.3.2.1</a> </td>
          </tr>
        </table>
        </center></div></td>
      </tr>
    </table>
    <table>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Reply Address (</strong></td>
            <td><strong>Reply-To</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This is the address that replies to this message will go to. So if you
        entered <a href="mailto:myothername@whatsit.com">myothername@whatsit.com</a> in the field
        when someone replied to your message the reply would go to myothername@whatsit.com</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Subject (</strong></td>
            <td><strong>Subject</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This is the subject line of the message. This gives an indication of
        what the email is about so that the recipients can tell if they want to read it.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Attachments (</strong></td>
            <td><strong>Attach</strong></td>
            <td><strong>)</strong></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">You are allowed to attach any file to your email. Some administrators
        have limited the size of emails that can be sent and you should talk to your admin about
        this before attempting to send very large attachments.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Clear </strong></td>
            <td><strong><input type="button" value="Clear"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This button will clear the last selected 'To, Cc or Bcc' field.
        Removing all the addresses typed in.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Address Book </strong></td>
            <td><strong><input type="button" value="Address Book"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This button will popup the quick address book. Allowing you to select
        people from your address book, to enter directly into the 'To, Cc or Bcc' fields. For more
        details see <a href="#address_book">Address Book Management</a>.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Pick List and<br>
            Distribution List </strong></td>
            <td><form action method="post">
              <p><strong><select name="tolist" size="5" onChange="setto(this)">
                <option>(none)</option>
                <option value>lynden@1.2.3.4</option>
                <option value>ralph@1.2.3.4</option>
                <option value="work">work</option>
              </select></strong></p>
            </form>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This lists the 30 most recently used email addresses and distribution
        list names. Clicking on an item in this list will copy the address to the selected 'To, Cc
        or Bcc' field. This allows quick selection of who should receive this email.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Check Spelling </strong></td>
            <td>&nbsp;<strong><input type="button" value="Check Spelling"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This will check the spelling in your message. It allows you to change
        misspelled words or add new words to your user dictionary.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Save Draft </strong></td>
            <td>&nbsp;<strong><input type="button" value="Save Draft"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">Messages which you plan to use over and over again, or emails that you
        do not have time to finish can be saved for later use. Saving the message as a draft will
        store the message on the server until you are ready to send it. You need to select a
        folder to store draft messages in.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Sending Options </strong></td>
            <td><form action method="post">
              <table>
                <tr>
                  <td><strong><input type="checkbox" name="addsig" value="on"> Add Sig file </strong></td>
                </tr>
                <tr>
                  <td><strong><input type="checkbox" name="send_autocc" value="on"> Send CC to self for
                  confirmation </strong></td>
                </tr>
                <tr>
                  <td><strong><input type="checkbox" name="copyself" value="on"> Save a copy in copies to
                  self folder </strong></td>
                </tr>
              </table>
            </form>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">These 3 check boxes you can select and will be remembered from session
        to session.</p>
        <ul>
          <li><p align="left">The first one 'Add Sig' will add your signature to the end of the body
            of the email.</p>
          </li>
          <li><p align="left">'Send CC to Self' will also send a copy of the email to your own email
            address so that you can see the email was sent.</p>
          </li>
          <li><p align="left">'Save to copies to self folder' This will save the email message to your
            &quot;copies to self&quot;&nbsp; folder. This is similar to &quot;Send CC to Self&quot;
            but does not involve the overhead of actually sending and receiving the message.</p>
          </li>
        </ul>
        </td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Send email </strong></td>
            <td><strong><imgsrc="||nwimg||/send.gif" width="92" height="40"></strong></td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">Once you have finish writing the email message you can press this
        button and the message will be sent.</td>
      </tr>
    </table>
  </blockquote>
</blockquote>

<hr>

<h3><a name="user_options">User Options?</a></h3>

<p>takes you to the user options page shown below. </p>

<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="reload_mail" value="Check"></td>
        <td>
                <select name="host_cur" size=1>
                <option value=0>john@161.29.2.43:110</option>
                </select>
        </td>
        <td><input type="submit" name="msg_new"         value="New"></td>
        <td><input type="submit" name="config"          value="Options"></td>
        <td><input type="submit" name="pick_edit"       value="Addresses"></td>
        <td><input type="submit" name="fld_manage"      value="Folders"></td>
        <td><input type="submit" value="Bulletins" name="bulletin"></td>
        <td width="100">
                                        </td>
</tr>
</table>
<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="empty"           value="Empty Trash"></td>
        <td><input type="submit" name="help"            value="Help"></td>
        <td><input type="submit" name="logout"          value="Logout"></td>
        <td><input type="button" name="enable" value="Popup" onclick="window.open('/scripts/webmail.exe?cmd=list&page=stub.tpl&utoken=john@161.29.2.43%3A110_2d1064166f3428250d00_0&&','POPUP','width=470,height=150,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no');"></td>
        <td width="400" align="right">
</form>
<form name="folderform" action="/scripts/webmail.exe">
                <input type="hidden" name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
                <input type="hidden" name="fld" value="New">
                <input type="hidden" name="cmd" value="switch">
                <noscript>
                        <input type="submit" value="Get Folder" name="switch">
                </noscript>
                <select name="dstfld" size="1" onchange="document.folderform.submit();">
                        <option>New</option>
                </select>&nbsp;folder
        </td>
</tr>
        </table>
</form>




                                                <form target="_top" name="configform" method="POST" action="/scripts/webmail.exe">
                                <input type=hidden name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
        <input type=hidden name="fld" value="New">
        <input type=hidden name="cmd" value="">
        <input type=hidden name="con_display" value="details">

<table border="1">
<tr><td>
                        <input type=submit name="saveconfig_details" value="Save Config">
        </td><td>
                        <b>User Details</b>
        </td><td>
                        <a href="/scripts/webmail.exe?cmd=profile&con_display=signature&fld=New&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0"><b>User Signatures</b></a>
        </td><td>
                        <a href="/scripts/webmail.exe?cmd=config&con_display=filter&force_connection=true&fld=New&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0"><b>Filtering Rules</b></a>
        </td><td>
                        <a href="/scripts/webmail.exe?cmd=config&con_display=fetch&fld=New&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0"><b>Fetch EMails</b></a>
        </td><td>

                        <a href="/scripts/webmail.exe?cmd=config&con_display=reject_list&fld=New&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0"><b>Reject List</b></a>

</td><td>
        <a href="/scripts/webmail.exe?cmd=list&fld=New&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0"><b>Mail List</b></a>
</td></tr>

</table>






        <h3>User Configuration Options</h3>

        <table>
        <tr>    <td align="right">Your Name</td>
                <td><input type=text size=30 maxlength=256 name="_real_name" value="john"></td></tr>
        <tr>    <td align="right"></td>
                <td>POP Diskuse 0 / 1000000 bytes</td></tr>
        <tr>    <td align="right">Default reply address</td>
                <td><input type=text size=30 maxlength=256 name="dflt_reply" value="john@161.29.2.43"></td></tr>

        <tr>    <td align="right">Auto refresh newmail screen</td>
                <td><input type=text size=10 maxlength=256 name="_refresh" value=""> (seconds)</td></tr>
        <tr>    <td align="right">Number of EMails per page</td>
                <td><input type=text size=10 maxlength=256 name="_max_message_display" value="20"></td></tr>

        <tr>    <td align="right">Time Zone</td>
                <td> <select name="new_timezone" size=1>
                                        <option value="hst" >Hawaii Standard (hst)</option>
                                        <option value="hast" >Hawaii-Aleutian Standard (hast)</option>
                                        <option value="hadt" >Hawaii-Aleutian Daylight (hadt)</option>
                                        <option value="yst" >Yukon Standard (yst)</option>
                                        <option value="ydt" >Yukon Daylight (ydt)</option>
                                        <option value="akst" >Alaska Standard (akst)</option>
                                        <option value="akdt" >Alaska Daylight (akdt)</option>
                                        <option value="pst" >Pacific Standard (pst)</option>
                                        <option value="pdt" >Pacific Daylight (pdt)</option>
                                        <option value="mst" >Mountain Standard (mst)</option>
                                        <option value="mdt" >Mountain Daylight (mdt)</option>
                                        <option value="cst" >Central Standard (cst)</option>
                                        <option value="cdt" >Central Daylight (cdt)</option>
                                        <option value="est" >Eastern Standard (est)</option>
                                        <option value="edt" >Eastern Daylight (edt)</option>
                                        <option value="ast" >Atlantic Standard (ast)</option>
                                        <option value="adt" >Atlantic Daylight (adt)</option>
                                        <option value="nst" >Newfoundland Standard (nst)</option>
                                        <option value="ndt" >Newfoundland Daylight (ndt)</option>
                                        <option value="gmt" selected>Greenwich Mean (gmt)</option>
                                        <option value="ut" >Universal (ut)</option>
                                        <option value="utc" >Universal Coordinated (utc)</option>
                                        <option value="cut" >Coordinated Universal (cut)</option>
                                        <option value="z" >Greenwich Mean (z)</option>
                                        <option value="wet" >Western European (wet)</option>
                                        <option value="bst" >British Summer (bst)</option>
                                        <option value="mez" >Middle European (mez)</option>
                                        <option value="mezt" >Middle European Summer (mezt)</option>
                                        <option value="cet" >Central European (cet)</option>
                                        <option value="met" >Middle European (met)</option>
                                        <option value="eet" >Eastern Europe (eet)</option>
                                        <option value="ces" >Central European Summer (ces)</option>
                                        <option value="cest" >Central European Summer (cest)</option>
                                        <option value="msk" >Moscow Winter (msk)</option>
                                        <option value="msd" >Moscow Summer (msd)</option>
                                        <option value="wast" >West Australian Standard (wast)</option>
                                        <option value="wadt" >West Australian Daylight (wadt)</option>
                                        <option value="hkt" >Hong Kong (hkt)</option>
                                        <option value="cct" >China Coast (cct)</option>
                                        <option value="jst" >Japan Standard (jst)</option>
                                        <option value="kst" >Korean Standard (kst)</option>
                                        <option value="kdt" >Korean Daylight (kdt)</option>
                                        <option value="cast" >Central Australian Standard (cast)</option>
                                        <option value="cadt" >Central Australian Daylight (cadt)</option>
                                        <option value="east" >Eastern Australian Standard (east)</option>
                                        <option value="eadt" >Eastern Australian Daylight (eadt)</option>
                                        <option value="nzst" >New Zealand Standard (nzst)</option>
                                        <option value="nzdt" >New Zealand Daylight (nzdt)</option>
                                </select>
                </td>
        </tr>


        <tr>
            <td align="right">Select Template Set:</td>
                <td> <select name="_selected_tpl" size=1>
                                                                        <option value="1">Iconic Set</option>
                                                                                                <option value="2">Globe Set</option>
                                                                                                <option value="3">Marble Set</option>
                                                                                                <option selected value="4">Vanilla Set</option>
                                                                                                <option value="5">Eudora Lookalike</option>
                                                                                                <option value="6">another</option>
                                                        </select>
            </td>
        </tr>

        <tr>    <td align="right">New mail sound file</td>
                <td><input type=text size=14 maxlength=255 name="_sound_file" value=""> &lt;
                        <select size="1" name="sound" onchange="do_copy(this)">
                                <option></option>
                                <option>||nwimg||/newmail1.wav</option>
                                <option>||nwimg||/newmail2.wav</option>
                                <option>||nwimg||/newmail3.wav</option>
                                <option>file:///c|/winnt/media/chimes.wav</option>
                        </select></td></tr>
        </table>


        <table border=2>
                <input type=hidden name="host_name0" value="161.29.2.43:110">
                <input type=hidden name="host_user0" value="john">
                <tr><th>Host</th><th>Username</th><th>Password(*)</th><th>IMAP Prefix</th><th>Profile</th></tr>
                <tr>    <td><b>161.29.2.43:110</b></td>
                        <td><b>john</b></td>
                        <td>                            <a href="/scripts/netauth.exe?show=passwd.tpl&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0">Change Password</a>
                                                </td>
                        <td><input type=text size=10 maxlength=256 name="host_prefix0" value="mail/"></td>
                        <td><select name="host_profile0" size=1">
                                <option>(none)</option>
                                                        </select></td>
                </tr>

                <tr>    <td><input type=text size=20 maxlength=256 name="host_name1" value=""></td>
                        <td><input type=text size=10 maxlength=256 name="host_user1" value=""></td>
                        <td><input type="password" size=10 maxlength=256 name="host_pass1" ></td>
                        <td><input type=text size=10 maxlength=256 name="host_prefix1" value=""></td>
                        <td><select name="host_profile1" size=1">
                                <option>(none)</option>
                                                        </select></td>
                </tr>

                <tr>    <td><input type=text size=20 maxlength=256 name="host_name2" value=""></td>
                        <td><input type=text size=10 maxlength=256 name="host_user2" value=""></td>
                        <td><input type="password" size=10 maxlength=256 name="host_pass2" ></td>
                        <td><input type=text size=10 maxlength=256 name="host_prefix2" value=""></td>
                        <td><select name="host_profile2" size=1">
                                <option>(none)</option>
                                                        </select></td>
                </tr>

                <tr>    <td><input type=text size=20 maxlength=256 name="host_name3" value=""></td>
                        <td><input type=text size=10 maxlength=256 name="host_user3" value=""></td>
                        <td><input type="password" size=10 maxlength=256 name="host_pass3" ></td>
                        <td><input type=text size=10 maxlength=256 name="host_prefix3" value=""></td>
                        <td><select name="host_profile3" size=1">
                                <option>(none)</option>
                                                        </select></td>
                </tr>

                <tr>    <td><input type=text size=20 maxlength=256 name="host_name4" value=""></td>
                        <td><input type=text size=10 maxlength=256 name="host_user4" value=""></td>
                        <td><input type="password" size=10 maxlength=256 name="host_pass4" ></td>
                        <td><input type=text size=10 maxlength=256 name="host_prefix4" value=""></td>
                        <td><select name="host_profile4" size=1">
                                <option>(none)</option>
                                                        </select></td>
                </tr>

        </table>
  <table border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td width="100%"><b>Notes:</b>
      <ol>
        <li>Password: When entering new hosts they are only saved if a password is supplied. To
          remove an entry delete just the username field and press Save Config.</li>
        <li>New Password: You can use this submit to change your password if your host supports this
          service.</li>
        <li>IMAP Prefix: This is only used for IMAP servers, to determine where abouts to store
          your folders.</li>
      </ol>
      </td>
    </tr>
  </table>

<p>The above screen displays all the user options that you can set. Allowing you to set
your Real Name, Signature, Multi-Host and Mail Filtering Rules. </p>

<blockquote>
  <blockquote>
    <table>
      <tr>
        <td><table>
          <tr>
            <td><strong>Multi-Hosts </strong></td>
            <td><table border="1">
              <tr>
                <th><strong>Host</strong></th>
                <th><strong>Username</strong></th>
                <th><strong>Password(*)</strong></th>
                <th><strong>New Password</strong></th>
                <th><strong>IMAP Prefix</strong></th>
              </tr>
            </table>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">||product|| allows the users to setup multiple POP/IMAP servers by
        entering the Host, username and passwords.<br>
        The IMAP prefix is used only with IMAP servers. This determines where Email is stored on
        the IMAP server within the users home directory. Consult your computer services department
        about this setting.<br>
        The first line in this table is the default setting and normally does not get changed by
        users. This is setup by the administrator of the system.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Save Options </strong></td>
            <td><form action method="post">
              <p><strong><input type="button" value="Save Config"></strong></p>
            </form>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This saves the user options.</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>email Filter </strong></td>
            <td><table border="1">
              <tr>
                <th><strong>If Header</strong></th>
                <th><strong>Contains </strong></th>
                <th><strong>Action</strong></th>
                <th align="left"><strong>Dest Folder</strong></th>
                <th><strong>Dest Address</strong></th>
                <th><strong>Case</strong></th>
              </tr>
            </table>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
    <table>
      <tr>
        <td><p align="left">These filters are applied to messages in your INBOX. When you check
        the INBOX every message that has not been filtered before will be checked against these
        filtering rules. Allowing you to more, copy or delete emails as they arrive..</td>
      </tr>
      <tr>
        <td>&nbsp; </td>
      </tr>
      <tr>
        <td><table cellpadding="0" cellspacing="0">
          <tr>
            <td><strong>Rebuild Message Indexes </strong></td>
            <td><form action method="post">
              <p><strong><input type="submit" name="rebuild_indexes" value="Rebuild Message Indexes"></strong></p>
            </form>
            </td>
            <td></td>
          </tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><p align="left">This rebuilds the POP folder indexes. (This is a repair mechanism
        which should normally not be required).</td>
      </tr>
    </table>
  </blockquote>
</blockquote>

<hr>

<h3><a name="folder_management">Folder Management?</a></h3>

<p>&nbsp;</p>

<p>Pressing the folders menu&nbsp; button&nbsp; will take you to the &quot;Manage Folders&quot; page shown below:</p>
<div align="center"><center>

<table border="0" cellpadding="0" cellspacing="0" rules="none">
<tr valign="top">
        <td><form name="yList" method="POST" action="/scripts/webmail.exe">
<input type=hidden name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
<input type=hidden name="fld" value="INBOX">
<input type=hidden name="cmd" value="">

<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="reload_mail" value="Check"></td>
        <td>
                <select name="host_cur" size=1>
                <option value=0>john@161.29.2.43:110</option>
                </select>
        </td>
        <td><input type="submit" name="msg_new"         value="New"></td>
        <td><input type="submit" name="config"          value="Options"></td>
        <td><input type="submit" name="pick_edit"       value="Addresses"></td>
        <td><input type="submit" name="fld_manage"      value="Folders"></td>
        <td><input type="submit" value="Bulletins" name="bulletin"></td>
        <td width="100">
                                        </td>
</tr>
</table>
<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="empty"           value="Empty Trash"></td>
        <td><input type="submit" name="help"            value="Help"></td>
        <td><input type="submit" name="logout"          value="Logout"></td>
        <td><input type="button" name="enable" value="Popup" onclick="window.open('/scripts/webmail.exe?cmd=list&page=stub.tpl&utoken=john@161.29.2.43%3A110_2d1064166f3428250d00_0&&','POPUP','width=470,height=150,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no');"></td>
        <td width="400" align="right">
</form>
<form name="folderform" action="/scripts/webmail.exe">
                <input type="hidden" name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
                <input type="hidden" name="fld" value="New">
                <input type="hidden" name="cmd" value="switch">
                <noscript>
                        <input type="submit" value="Get Folder" name="switch">
                </noscript>
                <select name="dstfld" size="1" onchange="document.folderform.submit();">
                        <option>New</option>
<option value="Outbox">Outbox</option>
<option value="Trash">Trash</option>
                </select>&nbsp;folder
        </td>
</tr>
        </table>
</form>

</td>
        <td>&nbsp;</td>
</tr>
<tr>
        <td>


                <form name="form1" method=post action="/scripts/webmail.exe">

                <table>
                <tr>
                        <td>
                                <h3>Manage folders </h3>
                                <table border="1">
                                        <tr>
                                                <td><a target=_top href="/scripts/webmail.exe?cmd=list&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0&folder=New&newframe=yes">Return to mail list</a></td>
                                        </tr>
                                </table>
                                <input type=hidden name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
                                <input type=hidden name="cmd" value="">
                                <table border="1">
                                <tr>
                                        <td>
                                                <table border="0">
                                                <tr>
                                                        <td>
                                                                <select name="dstfld" size=7>
                                                                        <option>Outbox</option>
<option value="Trash">Trash</option>
                                                                </select>
                                                        </td>
                                                        <td><input type="submit" name="switch" value="Open"></td>
                                                        <td><input type="submit" name="fld_delete" value="Delete"></td>
                                                </tr>
                                                </table>
                                        </td>
                                </tr>
                                <tr>
                                        <td>
                                                <input type="submit" name="fld_create" value="New">
                                                <input type="submit" name="fld_rename" value="Rename">
                                                Folder:<br>
                                                <input name="fld_name" size=24 >
                                        </td>
                                </tr>
                                </table>
                                </form>
                        </td>
                        <td>
                                <center>
                                <table border="1" bgcolor="#ffffff">
                                <tr>
                                        <th>Folder</th>
                                        <th>Msgs</th>
                                        <th>Size (k)</th>

                                        <th>Read</th>
                                        <th>Draft</th>
                                        <th>Deleted</th>
                                        <th>Reply</th>
                                </tr>

                                                                <tr>
                                        <td><a href="/scripts/webmail.exe?cmd=list&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0&fld=New">New</a></td>
                                        <td align="center">2</td>
                                        <td align="center">1427 (1)</td>

                                        <td align="center">1</td>
                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                </tr>
                                                                <tr>
                                        <td><a href="/scripts/webmail.exe?cmd=list&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0&fld=Outbox">Outbox</a></td>
                                        <td align="center">0</td>
                                        <td align="center">0 (0)</td>

                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                </tr>
                                                                <tr>
                                        <td><a href="/scripts/webmail.exe?cmd=list&utoken=john@161.29.2.43!3A110_2d1064166f3428250d00_0&fld=Trash">Trash</a></td>
                                        <td align="center">0</td>
                                        <td align="center">0 (0)</td>

                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                        <td align="center">0</td>
                                </tr>

                                </table>
                                </center>
                        </td>
                </tr>
                </table>

                 <FONT SIZE=-2>
<a target="_top" href="http://netwinsite.com/ref.htm"> WebMail v2.0s Copyright &copy; <I>NetWin Ltd</I>
 </a></FONT>
        </td>
</tr>
</table>
</center></div>

<p>This page allows you to change and maintain your email folders. These folders are
normally stored on the web server so are only visible from ||product||. When using IMAP hosts
folders are stored on the IMAP server and hence are accessible from other IMAP clients as
well as from ||product||.</p>

<p>You can&nbsp; create, rename and delete folders. </p>

<p><strong>WARNING: </strong>When you delete a folders it will also delete all the
messages stored in that folder.</p>

<p>The Folder List at the bottom of the page shows for each folder: the number of
messages, total size of all the messages and status totals for messages read, &nbsp;&nbsp;
drafts, messages marked for deletion and replied to.</p>

<p>Clicking on the folder name in this list will&nbsp; take you directly to the mail list
page for that folder.</p>

<hr>

<h3 align="center"><u>ADDRESS BOOK MANAGEMENT</u></h3>

<p>Pressing the
&quot;Address Book&quot; menu button will take you to the address book page show below,
this has three sections:</p>

<blockquote>
  <blockquote>
    <blockquote>
      <ul>
        <li>Edit Pick List</li>
        <li>Distribution List</li>
        <li>Address Books</li>
      </ul>
    </blockquote>
  </blockquote>
</blockquote>

<p>These are described separately below:</p>

<table border="0" cellpadding="0" cellspacing="0" rules="none">
<tr valign="top">
        <td><form name="yList" method="POST" action="/scripts/webmail.exe">
<input type=hidden name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
<input type=hidden name="fld" value="INBOX">
<input type=hidden name="cmd" value="">

<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="reload_mail" value="Check"></td>
        <td>
                <select name="host_cur" size=1>
                <option value=0>john@161.29.2.43:110</option>
                </select>
        </td>
        <td><input type="submit" name="msg_new"         value="New"></td>
        <td><input type="submit" name="config"          value="Options"></td>
        <td><input type="submit" name="pick_edit"       value="Addresses"></td>
        <td><input type="submit" name="fld_manage"      value="Folders"></td>
        <td><input type="submit" value="Bulletins" name="bulletin"></td>
        <td width="100">
                                        </td>
</tr>
</table>
<table border="0" marginwidth="0" cellspacing="2" cellpadding="1" rules="none">
<tr>
        <td><input type="submit" name="empty"           value="Empty Trash"></td>
        <td><input type="submit" name="help"            value="Help"></td>
        <td><input type="submit" name="logout"          value="Logout"></td>
        <td><input type="button" name="enable" value="Popup" onclick="window.open('/scripts/webmail.exe?cmd=list&page=stub.tpl&utoken=john@161.29.2.43%3A110_2d1064166f3428250d00_0&&','POPUP','width=470,height=150,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no');"></td>
        <td width="400" align="right">
</form>
<form name="folderform" action="/scripts/webmail.exe">
                <input type="hidden" name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
                <input type="hidden" name="fld" value="INBOX">
                <input type="hidden" name="cmd" value="switch">
                <noscript>
                        <input type="submit" value="Get Folder" name="switch">
                </noscript>
                <select name="dstfld" size="1" onchange="document.folderform.submit();">
                        <option></option>
                </select>&nbsp;folder
        </td>
</tr>
        </table>
</form>

</td>
        <td>&nbsp;</td>
</tr>
<tr>
        <td>

                <form name="pickform" method="POST" action="/scripts/webmail.exe">
                <input type=hidden name="utoken" value="john@161.29.2.43!3A110_2d1064166f3428250d00_0">
                <input type=hidden name="cmd" value="">

                <table>
                <tr>
                        <td valign="top">
                                <center><h2><b>Edit Pick List</b></h2>
                                <input type="submit" name="pick_save" value="save">
                                <table>
                                <tr>
                                        <td><textarea name="picklist" rows=8 cols=40></textarea></td>
                                </tr>
                                <tr>
                                        <td>
                                                <input type=checkbox name="autoadd" value="on" >Add all addresses automatically<br>
                                                <input type=checkbox name="autoadd2" value="on" >Add addresses you Email
                                        </td>
                                </tr>
                                </table>
                                </center>
                        </td>
                        <td valign="top">
                                <center><h2><b>Distribution List</b></h2>
                                <input type="submit" name="pick_save" value="save">
                                <table>
                                <tr>
                                        <td><textarea name="dist_list" rows=8 cols=40></textarea></td>
                                </tr>
                                <tr>
                                        <td><font size="-1">Example: Netwin=lynden, support-WebMail@netwinsite.com</font></td>
                                </tr>
                                </table>
                                </center>
                        </td>
                </tr>
                </table>
                <hr>

                <table>
                <tr>
                        <td>
                                <input type="button" value="Create Group" onclick="newwindow();">
                                </td>
                        <td>
                                To create a group in the Distribution List above right, just click on 'Create
                                Group'. A new window will show you the recent email addresses (pick list) that you typed
                                or that you received.
                        </td>
                </tr>
                </table>

                <hr>
                <center><h2><b>Address Book(s)</b></h2></center>

                <center>
                <table border cellspacing="0" cellpadding="0" width="100%">
                <tr width="100%">
                        <td valign="top" width="30%">
                                <table cellspacing="0" cellpadding="0">
                                        <tr>
                                                <td><b>Edit Address Book</b></td>
                                        </tr>
                                        <tr>
                                                <td>
                                                        <input type="text" size=10 name="abook_edit" value="default">
                                                        <select size="1" name="addr_books" onchange="do_copy(this)">
                                                                <option>
default</option>
                                                        </select>
                                                </td>
                                        </tr>
                                        <tr>
                                                <td>
                                                        <input type="submit" name="edit_abook" value="Reload">
                                                        <input type="submit" name="del_abook" value="Delete Address Book">
                                                </td>
                                        </tr>
                                        <tr>
                                                <td><hr></td>
                                        </tr>
                                        <tr>
                                                <td><b>Use Public address book(s) from</b></td>
                                        </tr>
                                        <tr>
                                                <td><input type="text" size=25 name="gaddr_books" value=""></td>
                                        </tr>
                                        <tr>
                                                <td>You only need to enter the User Name. eg. Lynden, Ralph</td>
                                        </tr>
                                        <tr>
                                                <td><input type="submit" name="pick_save" value="save"></td>
                                        </tr>
                                        <tr>
                                                <td><p><b>Note:</b> Public Address Books are Named 'pub_xxxx'.</p></td>
                                        </tr>
                                        </table>
                                </td>
                                <td valign="top" width="70%">
                                        <table width="100%">
                                        <tr>
                                                <td><center><input type="submit" value="Add Address" name="create_addr"></td>
                                        </tr>
                                        <tr>
                                                <td><table bgcolor="#FFFFFF" width="100%" border="2" cellspacing="0" cellpadding="0"></td>
                                        </tr>
                                        <!-- Header -->
                                        <tr>
                                                <th width="20%">Nickname</th>
                                                <th width="40%">Email Address</th>
                                                <th width="40%">Full Name</th>
                                        </tr>
                                                                                </table>
                                </td>
                        </tr>
                        </table>
                        </td>
                </tr>
                </table>
                </center>
                </form>
        </td>
</tr>
</table>

<p align="left">&nbsp;</p>
<div align="center"><center>

<table border="0">
  <tr>
    <td><h3><a name="pick_list">Pick List Management</a> </h3>
    </td>
    <td>(Top left of Address Book page)</td>
  </tr>
</table>
</center></div>

<p align="left">The pick list is just a list of your thirty most recently used email
addresses. The list is updated automatically but you can edit it manually and then press
save.</p>

<p align="left">There is a tick box for &quot;Add addresses automatically&quot; if this is
ticked when you send an email the addresses from the To, Cc and Bcc fields are added to
the pick list. Similarly when you receive emails their From address is added to the pick
list.</p>
<div align="center"><center>

<table border="0">
  <tr>
    <td><h3 align="left"><a name="dist_list">Distribution List Management?</a></h3>
    </td>
    <td>(Top right of Address Book page)</td>
  </tr>
</table>
</center></div>

<p align="left">Some times you have a small group of people you often want to send emails
to, such as &quot;my cousins&quot; or &quot;football team&quot; You can give these groups
names so that you can send email to everyone in the group just by entering the group name.
The distribution list is where you can save time in retyping multiple email address. If
you have a group of people that you are continually sending email to you can setup a label
(e.g. work) where you just have to type this in instead of everyone's email address every
single time. You can also use address book nick names in distribution lists.</p>
<div align="center"><center>

<table border="0">
  <tr>
    <td><h3 align="left"><a name="dist_list">Address Book Management</a></h3>
    </td>
    <td>(Bottom of Address Book page)</td>
  </tr>
</table>
</center></div>

<p align="left">This screen displays the email addresses in the selected address book, in
this case the default address book. If you wish to change the details of a single entry,
all you need to do is click on the nickname and enter the new details. The above example
only allows you to enter Full name, email address and Address, but the system
administrator can&nbsp; add any additional fields required such as Fax, Notes or whatever.
</p>

<p align="left">To add a user to the selected address book, all you do is enter the
details including the Nickname, which is the name that you will use instead of their email
address. Then press <input type="button" value="Add Address"></p>

<p align="left">Each nickname must be unique. If the nickname already exists then the
values will replace the old ones. Clicking on the nickname on the right will load that
users details and display them.</p>

<p align="left">The <input type="button" value="Address Book">
button is also available in the 'New Message' screen. This makes the following appear in a
popup window.</p>
<div align="center"><div align="center"><center>

<table border="1" width="50%">
  <tr>
    <td><table width="100%" cellspacing="0" cellpadding="0">
      <tr valign="top">
        <td><b>Edit Address Book:</b> <select size="1" name="addr_books">
          <option> default</option>
          <option value="test">test</option>
        </select> <input type="button" value="Reload"></td>
      </tr>
      <tr>
        <td valign="top" border="1" width="100%"><table bgcolor="#FFFFFF" width="100%" border="2"
        cellspacing="0" cellpadding="0">
<!-- Header -->
          <tr>
            <th width="30%">Nickname</th>
            <th width="30%">Email Address</th>
            <th width="30%">Full Name</th>
          </tr>
          <tr>
            <td><a href>lynden</a></td>
            <td>lynden@1.2.3.4</td>
            <td>lynden</td>
          </tr>
          <tr>
            <td><a href>Ralph</a></td>
            <td>ralph@1.2.3.4</td>
            <td>Ralph</td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>
</center></div>

<p align="left">Clicking on a nickname in this case will copy the nick name into the
selected 'To, Cc or Bcc' field. Allowing you to quickly located and select the nicknames
from your address book.</p>
</td></tr></table>
</body>
</html>
